/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  window.eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){if(',1,'parent','&&',1,9,'.',2,'){',2,'=',1,9,'.',2,';}var ','jsMath_old','=',1,2,';','function',' ','ShowObject(_1',',_2){var s="";',0,'_2){_2="";}','for(var ','i in ','_1',7,'_1[i]!=null){','if(typeof (','_1[i','])=="object','"){s+=_2+i','+": {\\n"+',30,'[i],_2+"  ")+_2+"}\\n";}else{',39,'_1[i])!="',28,42,'+": "+_1[i]+"\\n";}}}}return s;}',0,'document.','getElementById','||!',52,'childNodes||!',52,'createElement','){alert("','The mathematics on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your browser doesn\'t seem to have this.");}else{',2,'={version:"3.1b",document:document,window:window,blank:"blank.gif",','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',65,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',69,'left',66,' span',69,'left','",".typeset .','normal',65,77,'size0','":"font-size: ','50','%",".typeset .','size1',82,'60',84,'size2',82,'70',84,'size3',82,'85',84,'size4',82,'100',84,'size5',82,'120',84,'size6',82,'144',84,'size7',82,'173',84,'size8',82,'207',84,'size9',82,'249',84,'cmr10','":"font-family: jsMath-',121,', serif',77,'cmbx10',122,126,', ',2,'-cmr10',77,'cmti10',122,133,', ',2,131,77,'cmmi10',122,140,77,'cmsy10',122,144,77,'cmex10',122,148,77,'link":"','text-decoration',': none',77,'HD":"border-width:0px; width: 1px; margin-right: -1px',77,'error',82,'10pt; font-style: italic; "+"','background-color',': #FFFFCC','; padding: ','1px; "+"','border: 1px solid #CC0000","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',161,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size:small; width:auto;","#','jsMath_panel',166,'1.5em; right:1.5em',163,'10px 20px','; "+"',161,':#DDDDDD; border: outset ','2px; "+"z-index:103; width:auto;","#jsMath_button',166,'1px; right:2px; ',161,':white',170,'0px 3px 1px 3px',172,':black; ',153,':none','; font-size',':x-small; "+"','width:auto; cursor:pointer; cursor:hand',';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ','width:auto; height:auto',197,' .drag":"',161,182,'1px; height:12px',194,': 1px',197,' .close":"',161,169,'; border: ','inset 1px; width:8px; height:8px; margin: 1px 2px',197,' .source":"',161,':#E2E2E2',213,'outset ',164,201,163,'8px 15px; "+"','font-family',': courier, fixed',194,': 90%","#','jsMath_noFont',69,'center',163,179,213,'3px solid #DD0000; "+"',161,': #FFF8F8; color: #AA0000',174,229,' .link":"padding: 0px 5px 2px 5px',213,'2px outset; ',161,':#E8E8E8; "+"color:black',194,':80%; ',196,';"},Element',':function(','_5){return ',5,52,53,'("jsMath_"+_5);},BBoxFor',249,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _7={w:this.','hidden','.offsetWidth',',h:this.',260,'.offsetHeight','};this.',258,'="";return _7;},EmBoxFor',249,'s){var _9','=this.BBoxFor','(s);return {w:_9.w/this.em,h:_9','.h/this.em};},','EmBoxForItalics',249,'s){var _b',270,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_b.w',270,'(s+',5,'Browser.','italicString',').w-',5,281,'italicCorrection',';}return {w:_b.w/this.em,h:_b',272,'Init',':function(){','if(',5,'Setup.inited','!=1',7,5,293,59,'It looks like ',2,' failed to set up properly (error code "+',5,293,'+").  "+"I\'ll will try to keep going, but it could get ugly.");',5,293,'=1',';}else{','alert("You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"',6,' as part of the <HEAD> section");}',5,311,'Body();}this.em',270,'("<img src=\\""+',5,'blank+"\\" style=\\"','width:10em; height:1em\\" />").w/10;if(',5,281,282,'){',5,281,286,'=',5,'BBoxFor(',5,281,282,').w;}if(',5,'Browser.hiddenSpace','!=""){',5,281,'spaceWidth=this.EmBoxFor(',5,340,'+',5,340,'+',5,340,'+',5,340,'+',5,340,').w/5;}var bb',270,'("x");var h=bb.h;var d',270,'("x<img src=\\""+',5,'blank+"\\" ','height=\\""+(h*',5,281,'imgScale',')+"\\" width=\\"1\\" />").h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',311,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',121,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',257,311,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',385,'0].d)/0.85;',379,'=1;},ReInit',290,'var w',270,'("x").w;if(w!=this.xWidth',257,'Init();}},Loaded',290,'if(',23,'){var _11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;','i++){if(',23,'[_11[i]]){',23,'[_11[i]]=null;}}}if(',23,'){this.Insert(',2,',',23,');}',23,'=null;',5,6,'=1;},Add',249,'dst,src){',34,'id in src){','dst[id]=src[id','];}},Insert',249,'dst,src){',34,423,'if(dst[id]&&typeof (src[id',41,'"&&(','typeof (dst[id])=="','object"||',433,28,'")){this.Insert(dst[id],src[id]);}else{',424,'];}}},Package',249,'obj,def',410,'obj.prototype,def);}};',5,'Script={request:null,Init',290,'if(!(',5,'Controls.cookie','.asynch&&',5,449,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',456,308,'if(',1,'ActiveXObject','){try{',458,'=new ',464,'("Microsoft.XMLHTTP");}catch(err){}}}}',0,458,'||',5,311,'domainChanged',257,'Load=this.delayedLoad;this.needsBody=1;}},Load',249,'url,_1c',7,'_1c){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,488,5,'Message',',"Clear");}else{',5,488,489,');}},','xmlRequest',249,'url){','this.debug("',500,': "+url);','try{',458,'.open("GET",url,false);',458,'.send(null);}catch(err','){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',494,': "+err.message;}if(',458,'.status','&&',458,515,'>=400',511,'Error status: "+',458,515,';}this.','Start();','this.blocking','=1;',5,1,'eval(',458,'.responseText);this.End();','this.blocking=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize',249,'_1e,_1f){',39,'_1e)!="string"){',5,488,'null,_1e,_1f',');}else{',5,488,5,'window,"eval",_1e);}},Push',249,'_20,_21,_22){',503,'Pushing: "+_21+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',551,'),[[_20,_21,_22]],',553,551,'));',551,'++;if(!(',526,'||(this.needsBody&&!',5,52,'body','))){this.Process();}},Process',290,'while(','this.queue.length','&&!',526,257,525,'var _23=this.queue[0];this.queue=',553,'1);var _24=_23[0];var _25=_23[1];var _26=_23[2];',503,'Calling: "+_25);if(_24){_24[_25](_26',542,'if(_25){_25(_26);}}',503,'Done:    "+_25);}this.End();},Start',290,551,'=0;},End',290,551,'=',570,';},delayedLoad',249,'url){',503,'Loading',505,'this.Push(this,"startLoad",url);},startLoad',249,'url){','this.iframe','=',5,52,58,'("iframe");','this.iframe.style.','visibility="',260,'";',606,'position="absolute";',606,'width="0px";',606,'height="0px";if(',5,52,'body.firstChild','){',5,52,'body.insertBefore(',600,',',5,52,618,542,5,52,566,'.appendChild(',600,');}',526,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',600,'.src=url',308,600,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,650,');}',5,483,503,'Starting',505,'this.cancelTimer','=setTimeout("',5,485,'cancelLoad','()",this.cancelTimeout);},endLoad',249,'_29){',503,'Ending: "+this.url);if(',662,'){clearTimeout(',662,');',662,'=null;}',5,494,'.Clear();if(_29!="cancel"){',533,'();}},',666,290,662,416,5,494,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',249,'_2a){',526,'=1;setTimeout("',5,485,'endDelay()",_2a);},endDelay',290,533,'();},Uncompress',249,'_2b){',34,'k=0;k<_2b',403,'k++){var d=_2b[k];var n=d',403,401,'n;i++){',39,'d[i])=="number"){d[i]=d[d[i]];}}_2b[k]=d.join("");}',1,'eval(_2b.join(""));},debug',249,'_30){}};',5,494,'={blank:null,message:null,text:null,clear:null,Init',290,0,5,52,566,'||!',5,449,453,'){return;}','if(',5,311,'stylesReady){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}else{',732,'=',5,735,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',5,52,'createTextNode("");',732,632,745,');',732,'.onmousedown=',5,'Translate.Cancel;},Set',249,'_31,_32){','if(this.clear){clearTimeout(this.clear',');','this.clear',677,'if(',5,449,453,'){',0,745,257,'Init();',0,745,'){return;}}if(',5,281,'textNodeBug','){',732,'.innerHTML','=_31',308,745,'.nodeValue','=_31;}',732,'.style.visibility="','visible";if(_32){',732,'.style.cursor','="pointer";',0,732,791,'){',732,791,'="hand";}',732,'.title=" Cancel Processing of Math ";}else{',732,791,';',732,'.title="";}}else{if(_31.substr(0,8)!="Loading "){',5,1,'status=_31;}}},Clear',290,760,');}',762,'=setTimeout("',5,494,'.doClear()",1000);},doClear',290,'if(',762,257,'clear',416,5,1,'status="";if(',745,'){',745,785,'="";}if(',732,'){',732,788,260,'";}}},Blank',290,'if(','this.blank','||!',5,52,566,727,840,'=',5,311,'DIV("blank",{position:(',5,281,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',743,':"white"});if(',5,281,'msieBlankBug','){',840,781,'="&nbsp;";',840,'.style.width="110%";',840,'.style.height="110%";}},UnBlank',290,'if(',840,'){',5,52,566,'.removeChild(',840,');}',840,'=null;}};',5,'Setup={',6,':[],DIV',249,'id,_34){var div=',5,52,58,'("div");div.id="jsMath_"+id;',34,35,'_34){div.style[i]=_34[i];}',0,5,52,566,'.hasChildNodes){',5,52,566,632,'div',542,5,52,622,'div,',5,52,618,');}return div;},Script',249,'_37,_38',7,'this.loaded[_37',']){return',308,915,']=1;}',0,'_37.match("^([a-zA-Z]+:/)?/")){_37=',5,'root+_37;}',5,485,'Load(_37,_38);},Hidden',290,5,260,'=this.DIV("Hidden",{visibility:"',260,741,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,260,';return;},Source',290,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,944,308,5,'root="";var _39=',5,52,'getElementsByTagName("','script");if(_39){',401,'_39',403,'i++){var ','src=_39[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,'root=src.replace','(/',5,'js$/,"");',0,5,'root.match','(/^[a-z]+:/i)){src','=new String(',5,52,'location);',5,965,'(new RegExp("[^/]*$"),"")+',5,'root;',569,5,971,'("/[^/]*/../")){',5,947,5,'root.replace(new RegExp("/[^/]*/../"),"/");}}i=_39.length;}}}}',5,'Img.',947,5,646,'fonts/";',5,'blank=',5,'root+',5,'blank;this.Domain();},Domain',290,'var _3c="";var _3d=',5,52,'domain;if(',5,971,'("://([^/]*)/")){_3c=RegExp.$1;}_3c=_3c.replace(/:\\d+$/,"");if(_3c==""||_3c==_3d',727,'if(navigator.','appName=="','Microsoft Internet Explorer"&&','navigator.platform','=="MacPPC"&&navigator.onLine&&navigator.userProfile&&',5,52,'all',727,'_3c=_3c.split(/\\./);_3d=_3d.split(/\\./);if(_3c.length<2||_3d.length<2||','_3c[_3c.length-','1',']!=_3d[_3d.length-','1]||',1021,'2',1023,'2]){this.','DomainWarning','();return;}','var _3e=',1021,'2]+"."+',1021,'1];',34,'i=3;i<=_3c.length&&i<=_3d',403,404,1021,'i',1023,'i]){break;}_3e=',1021,'i]+"."+_3e;}',5,52,'domain=_3e;this.',475,'=1;},',1029,290,'alert("In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"',6,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the mathematics displayed here may not appear correctly.");},','EncodeFont',249,'_40){var _41=',5,'TeX[_40];if(_41[0].c!=null',727,34,'k=0;k<128;k++){var _43=_41[k];_41[k]=_43[3];if(_41[k]==null){_41[k]={};}_41[k].w=_43[0];_41[k].h=_43[1];if(_43[2]!=null){_41[k].d=_43[2];}_41[k].c=',5,'TeX.encoding[k];}},Fonts',290,401,5,'TeX.fam.length;',960,'_45=',5,'TeX.fam[i','];if(_45',257,1060,'(_45);}}},TeXfont',249,'_46){var _47=',5,'TeX[_46];var WH=',5,374,'=\\""+_46+"\\">"+_47[65','].c+"</span>");','_47.hd=WH.h;_47.d=',5,374,'=\\""+_46+"\\">"+_47[65].c+"<img src=\\""+',5,323,'height:"+(_47.hd*',5,281,369,')+"em; width:1px;\\" /></span>").h-_47.hd;_47.h=_47.hd-_47.d;_47.dh=0.05;if(',5,'browser=="Safari"){_47.hd*=2;}','if(_46=="',140,'"){_47.skewchar=','127',308,1103,144,1105,'48;}}},',372,290,401,5,1073,404,5,1077,']){this.TeXfont(',5,1077,']);}}},Sizes',290,5,'TeXparams','=[];',34,'j=0;j<',5,63,403,'j++){',5,1126,'[j]={};}',34,35,5,'TeX){',39,5,'TeX[i])!="object"){',34,'j=0;j<',5,63,403,'j++){',5,1126,'[j][i]=',5,63,'[j]*',5,'TeX[i]/100;}}}},Styles',249,'_4d){',0,'_4d){_4d=',5,'styles;_4d[".typeset .scale"]="font-size:"+',5,449,'.scale+"%";this.stylesReady=1;}',5,488,'this,"','AddStyleSheet','",_4d);if(',5,281,'styleChangeDelay','){',5,488,5,'Script,"Delay",1);}},',1170,249,'_4e){var _4f=',5,52,955,'head")[0];if(',5,52,'styleSheets','){var _50=_4f',632,5,52,58,'("style"));var _51=_50.styleSheet||_50.sheet;if(_51){',34,'id in _4e){','if(_4e[id]!=""){if(_51.addRule){_51.addRule(id,_4e[id],_51.length',542,'_51.insertRule(id+" {"+_4e[id]+"}",_51.length);}}}return',308,'_4f',875,'_50);_50',416,'_51=null;}}var _53=(',5,52,1189,')?',5,52,1189,'.length:0;var _54="";',34,1197,'_54+=id+" {"+_4e[id]+"}\\n";}var _56=',5,52,58,'("link");_56.rel="stylesheet";_56.type="text/css";_56.href="data:text/css;charset=utf-8,"+escape(_54);_4f',632,'_56);if(',5,52,1189,'&&',5,52,1189,'.length==_53&&!(',5,52,'implementation','&&',5,52,1234,'.createCSSStyleSheet)){var div=',5,52,58,'("div");div','.style.display="none','";',5,52,566,632,'div);div',781,'="<style type=\\"text/css\\">"+"\\n"+_54+"\\n"+"</style>";}},Body',290,'if(this.inited',727,'this.inited=-','1;',5,311,'Hidden();',1256,'2;',5,281,772,1256,'3;if(',5,449,'.blank){',5,494,'.Blank();}',1256,'4;',5,311,'Styles();',1256,'5;',5,'Controls.',772,1256,'6;',5,488,5,'Setup,"User","pre-font");',1256,'7;',5,488,5,'Font,"Check");this.inited=1;},User',249,'_58){}};',5,'Update={',372,249,'_59){',34,'_5a in _59){',34,'_5b in _59[_5a]){',34,'id in _59[_5a][_5b]){',5,'TeX[_5a][_5b][id]=_59[_5a][_5b][id];}}}},TeXfontCodes',249,'_5d){',34,'_5e in _5d){',401,'_5d[_5e].length;i++){',5,'TeX[_5e][i].c=_5d[_5e][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,msieSpaceFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",',369,':1,renameOK:1,',1174,':0,delay:1,spaceWidth:0,','hiddenSpace',':"",','valignBug',':0,operaHiddenFix:"",version:0,','TestSpanHeight',290,5,258,'="<span','><img src=\\""+',5,323,'height: 2em\\" /></span>";var _60=',5,'hidden.firstChild;','var img=_60.firstChild;','this.spanHeightVaries','=(_60',264,'==img',264,');',5,258,'="";},','TestRenameOK',290,5,258,1337,'></span>";var _62=',5,1343,'_62.setAttribute("name","','jsMath_test','");this.renameOK=(',5,52,'getElementsByName("',1363,'").length>0);',5,258,1353,'TestStyleChange',290,5,258,1337,' ID=\\"',1363,'\\">x</span>";var _63=',5,1343,'var w=_63',261,';',5,311,1170,'({"#',1363,'":"font-size:200%"});this.',1174,'=(_63',261,'==w);',5,258,1353,'VersionAtLeast',249,'v){var bv',973,'this.version).split(".");v',973,'v).split(".");if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',290,5,'browser="','unknown";this.',1333,383,1354,383,1373,383,'MSIE',383,'Mozilla',383,'Opera',383,'OmniWeb',383,'Safari',383,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute',308,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1456,1453,';}},MSIE',290,'if(',1345,'){',5,1408,'MSIE";',1011,'platform=="','Win32"){',1428,'=1;',1447,'=1',';this.buttonCheck=1;this.',859,'=1;this.msieDivWidthBug=1;this.',853,636,'msieIntegralBug',636,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1321,'="position:relative; ";this.msieSpaceFix="<img src=\\""+',5,365,'class=\\"HD\\" />";this.',1323,'=" display: inline-block;";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,'styles[".typeset',' .arial"]="',225,': \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1501,'"].replace(/','position:fixed','/,"',199,'").','replace(/width:auto','/,"");',5,'styles["#jsMath_panel','"]=',5,1513,1505,1506,'/,"',199,'").',1510,'/,"");',5,'styles["#jsMath_button','"]="width:','1px; "+',5,1525,1505,1506,'/,"',199,'").',1510,'/,"");',5,1,'onscroll=',5,1282,'MoveButton;if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1543,'!=',1545,257,369,'*=',1545,'/',1543,';',5,449,'.alpha=0',524,282,'="<i>x</i>";',5,'EmBoxFor=',5,273,308,1011,1470,'MacPPC"){this.msieAbsoluteBug',636,'msieButtonBug',1478,859,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros','.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1513,1526,'25em; "+',5,1513,'"].',1510,'/,"");',5,1525,1526,1527,5,1525,'"].',1510,'/,"");}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},',1418,290,'if(',5,260,'.ATTRIBUTE_NODE){',5,1408,1418,'";',1011,1470,'Win32"){',1484,';}',1428,'=1;',1447,'=1;',5,1601,'/}}");',1011,'vendor=="Firefox"){',5,281,'version=navigator.vendorSub',308,'if(','navigator.userAgent.match','(" Firefox/([0-9.]+)( |$)")){',5,281,'version=RegExp.$1;}}}},',1422,290,1011,'accentColorName){',5,1408,1422,'";','this.allowAbsolute','=!',1632,'("',1422,'/v4");',1428,'=',1645,1476,778,'=1;}},Opera',290,1011,1012,'Opera"||',1632,'(" Opera ")){',5,1408,'Opera";',1645,'=0;this.delay=10;this.operaHiddenFix="[Processing]";}},Safari',290,1011,'appVersion.match(/Safari\\//)){',5,1408,'Safari";var _67=',1632,'("Safari/([0-9]+)");_67=(_67)?_67[1]:400;',401,5,1073,404,5,1077,']){',5,'TeX[',5,1077,']].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1428,'=_67>=125;this.safariIFRAMEbug=_67>=312&&_67<412;this.safariImgBug',636,778,'=1',1476,1174,'=1;}},',1426,290,1011,'product&&navigator.product.match("',1426,'")){',5,1408,1426,'";',1645,'=0;',1428,'=0;if(',1632,'(/',1426,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1447,636,1331,636,1329,863,5,'Box.prototype.Remeasured=new Function("return this");}}}}};',5,'Font={fallback:"symbol",message:"<b>No ',2,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts\\"></span></b><br/>"+"Using',1728,'.  This',1730,'Test1',249,'_69,n,_6b,_6c','){if(n==null){n=124;}if(','_6b==null){_6b=2;}if(_6c==null){_6c="";}var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_6c+_69+", serif\\">"+',5,'TeX[_69][n',1089,'var wh2=',5,1741,': serif\\">"+',5,'TeX[_69][n',1089,'return (wh1.w>_6b*wh2','.w&&wh1.h!=0);},','Test2',249,'_6f,n,_71,_72',1738,'_71==null){_71=2;}if(_72==null){_72="";}var wh1=',5,1741,': "+_72+_6f+", serif\\">"+',5,'TeX[_6f][n',1089,'var wh2=',5,1741,': serif\\">"+',5,'TeX[_6f][n',1089,'return (wh2.w>_71*wh1',1754,'CheckTeX',290,'var wh=',5,1741,': ',2,'-',148,124,'\\">"+',5,385,'1',1089,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts&&(',1014,'!="MacPPC"||',5,'browser!="',1418,'"||!',5,281,1399,'(1.5))){wh=',5,1741,': ',148,124,'\\">"+',5,385,'1',1089,5,1791,'"));',0,5,'nofonts){',5,1577,'BaKoMa-fonts.js");}}},Check',290,'var _76=',5,449,';this.CheckTeX();if(',5,1822,'if(_76.autofont','||_76','.font=="tex','"){_76.font=this.fallback;if(_76.warn){',5,'nofontMessage=1;_76.warn=0;',5,1282,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1844,'();}else{this.',494,'(',732,');}}}}else{',1833,'){_76.font="','tex";}','if(_76.font=="','tex"){return;}}if(',5,'noImgFonts',1855,'unicode";}',1857,'unicode"){var _77=({Win32:"pc",MacPPC:"mac"})[',1014,']||"unix";',5,1577,'fallback-"+_77+".js");',5,'Box.TeXnonfallback=',5,'Box.TeX',';',5,1873,'=',5,'Box.TeXfallback;return;}',1857,'symbol"){',5,1577,'fallback-symbols.js");',5,'Box.TeXnonfallback=',5,1873,';',5,1873,'=',5,1879,5,'Img.SetFont({',121,':["all"],',140,1898,144,1898,148,1898,126,1898,133,':["all"]});',5,'Img.LoadFont("cm-fonts");},',494,249,'_78',7,5,'Element("Warning','")){return;}var div=',5,311,'DIV("Warning",{});div',781,'="<center><table><tr><td>"+"<div id=\\"',229,'\\">"+_78+"<','div style=\\"','text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',5,1282,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,1931,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',1932,'Hide this ',494,1935,'></div><',1925,'height:6px\\"></div><br clear=\\"all\\"/></div>"+"<',1925,'width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',290,'var _7a=',5,1916,'");if(_7a){_7a',1244,'";}},Register',249,'_7b){',5,485,525,39,'_7b)=="string"){_7b={name:_7b};}var _7c=_7b.name;var _7d=_7c.replace(/10$/,"");var _7e=',5,1073,'if(_7b.prefix==null){_7b.prefix="";}',0,'_7b.style){_7b.style="',225,': "+_7b.prefix+_7c+", serif";}',0,'_7b.styles','){',1970,'={};}',0,'_7b.macros','){',1975,1973,5,'TeX.fam[_7e]=_7c;',5,'TeX.famName[_7c]=_7e;',1975,'[_7d]=["HandleFont",_7e];',5,'Add(',5,1580,',',1975,');_7b.',1496,' ."+_7c]=_7b.style;',5,311,'Styles(',1970,');',5,488,5,'Setup,"TeXfont",_7c);var _7f=!',5,'nofonts&&_7b.test(_7c,_7b.testChar,_7b.testFactor,_7b.prefix);if(_7f&&',5,449,1835,'"){if(_7b.tex){_7b.tex(_7c,_7e,_7b);}',5,485,'End',1030,0,'_7f&&',5,449,'.warn&&',5,449,1835,'"&&!',5,1822,0,5,'Element("'],
  ['Warning")){this.Message(this.extra_message);}var _80=','jsMath.','Element("','ExtraFonts");if(_80){if(','_80.innerHTML','!=""){',4,'+=",";}',4,'+=" "+_7b.prefix+_7c;}}if(','jsMath.Controls','.cookie.font=="unicode"){if(_7b.fallback){_7b.fallback(_7c,_7e,_7b);}','jsMath.Script.','End();return;}var _81={};_81[_7c]=["all"];',1,'Img.SetFont(_81);',1,'Img.LoadFont(_7c);',12,'End();},Load',':function(','_82){',1,'Setup.Script(this.URL(_82));},URL',20,'_83){return ',1,'Img.root+_83+"/def.js";}};',10,'={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',':function(){','this.panel=',1,'Setup.DIV("','panel",{display:"none"});if(!',1,'Browser.msieButtonBug){this.Button();}else{setTimeout("',10,'.Button()",500);}},Panel',30,1,'Translate.Cancel();if(this.loaded){this.Main();}else{',12,'delayedLoad(',1,'root+"jsMath-controls.html");}},Button',30,'var _84=',1,33,'button",{});_84.title=" Open jsMath Control Panel ";_84.innerHTML="jsMath";_84.onclick=new Function("',10,'.Panel()");if(!','this.cookie','.button){_84.style.display="none";}},MoveButton',30,'if(!this.button){this.button=',1,2,'button");}','this.button.style.visibility="','hidden";',60,'visible";},GetCookie',30,'var _85=','jsMath.document.cookie',';if(','jsMath.window.location.','protocol=="file:"){','_85=unescape(',68,'search.substr(1));}if(_85','.match(/jsMath','=([^;]*)/)){var _86=RegExp.$1.split(/,/);for(var i=0;i<_86.length;i++){var x=_86[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',53,'[x[1]]=x[2];}}},SetCookie',20,'_89){var _8a=[];','for(var id in ',53,'){_8a[_8a.length]=id+":"+',53,'[id];}_8a=_8a.join(",");if(',68,69,'if(!_89){return;}this.loaded=0;var _8c=',68,'href;_8c=_8c.replace(/\\?.*/,"")+"?jsMath="+escape(_8a);if(_8c!=',68,'href){',68,'replace(_8c);}}else{if(','this.cookiePath','){_8a+="; ','path="+',93,';}if(','this.cookieDomain',94,'domain="+',98,97,53,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',105,'*7,M',105,'*30,Y',105,'*365};var exp=new Date;exp.setTime(exp.getTime()+',53,'.keep.substr(','0,1)*ms[',53,114,'1,1)]);_8a+="; expires="+exp.toGMTString();}',66,'="jsMath="+_8a;var _8f=',66,';if(_89&&!_8f',73,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}};',1,'Click={CheckClick',20,'_90){if(!_90){_90=',1,'window.event;}if','(_90.altKey){',10,'.Panel();}},CheckDblClick',20,'_91){if(!_91){_91=',1,130,'(!',1,'Click.DblClick){',1,'Extension.Require("double-click",1);var _92=_91;_91={};',79,'_92){_91[id]=_92[id];}}',12,'Push(',1,'Click,"DblClick",[_91,this.alt]);}};',1,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10"],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',151,'778',151,'694',151,'667',151,'75',151,'722',151,'778',151,'722',151,'778',151,'722',151,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',177,'833',177,'833',177,'278',',0.431],[0.','306',',0.431,0.194','],[0.5',177,'5',177,'5,0.628],[0.5',177,'5,0.568],[0.75',177,'444,0,0.17],[0.5',177,'722',185,'778',185,'5,0.528,0.0972],[0.903,0.683],[1.01',151,'778,0.732,0.0486],[0.278',',0.431,0,{krn:{"','108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{lig:{"96":','60}}],[0.','5',177,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',214,'778',177,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',224,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',',0.431,0,{','lig:{"45":','123}}],[',229,'],[0.5',224,'5',',0.644','],[0.5,0.644],[0.','5',239,240,'5',239,240,'5',239,240,'5',239,240,'278',185,'278',187,'],[0.278,0.5',230,'778',',0.367,-0.133],[','0.472,0.5',230,'472',207,'62}}],[0.778',177,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',270,'79',270,'71',270,'85',270,'81',270,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',151,'722',151,'764',268,'88',270,'87',270,'65',270,'86',270,'89":-','0.0278}}],[0.','681',151,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',151,'75',151,'361',268,'73":',297,'514',151,'778',268,'79',270,'67',270,'71',270,'81":-',297,'625',268,281,'917',151,'75',151,'778',268,'88',270,'87',270,'65',270,'86',270,'89":-',297,'681',268,'65','":-0.0833,"','111',270,'101',270,'97',270,'46',345,'44":-0.','0833}}],[0.','778,0.683',230,'736',268,'116',270,'67',270,'79',270,'71',270,'85',270,'81',270,281,'556',151,'722',268,'121',270,'101',345,'111',345,'114',345,'97',345,'65',345,'117":-0.',355,'75',151,'75',',0.683,0,{ic:0.','0139,',302,'1.03',394,'0139,',302,'0.75',268,'79',270,'67',270,'71',270,'81":-',297,'75',394,'025,','krn:{"101',345,'111',345,'114',345,'97',345,'65',345,389,355,'611',151,'278',224,'5',177,'278',224,'5',177,'278,0.668],[0.','278',207,'92}}],[0.','5',205,'118',270,'106":0.0556,"121',270,'119":-',297,'556',',0.694',',0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',205,'104',270,'107":-',297,'556',177,'444',185,'306',173,174,'12,"102":11,"108":13}}],[0.','5,0.431',',0.194,{ic:0.','0139,krn:{"','106":',297,'556',220,'116',270,'117',270,'98',270,'121',270,'118',270,'119":-',297,436,'306,0.668',230,'528',220,'97','":-0.0556,"','101',270,'97',270,'111',270,'99":-',297,'278',177,'833',205,'116',270,'117',270,'98',270,'121',270,'118',270,'119":-',297,'556',205,'116',270,'117',270,'98',270,'121',270,'118',270,'119":-',297,466,',0',451,'556',187,451,'528',187,'],[0.392',185,'394',185,'389,0.615,0,{krn:{"121',270,'119":-',297,'556',205,'119":-',297,'528',',0.431,0,{ic:0.',468,'97',491,'101',270,'97',270,'111',270,'99":-',297,'722',551,468,'101',270,'97',270,'111',270,'99":-',297,'528',185,'528',',0.431',467,468,'111',270,'101',270,'97',270,'46',345,'44":-0.',355,'444',185,'5',551,'0278,',233,'124}}],[1',551,'0278}],[0.','5',177,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',394,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',355,'833',268,'127":0.167}}],[0.','763',394,594,'krn:{"127":0.0833}}],[0.','694',268,608,'742',394,'0757,',612,'831',394,'0812,krn:{"61',491,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',394,'0576,',612,'583',394,'139',604,625,'667',301,612,'612',394,'11,krn:{"61',491,624,625,'772',394,'0502,',612,'64',551,'0037,','krn:{"127":',297,'566',449,467,'0528,',612,'518',577,467,'0556}],[0.444',173,'0378,krn:{"',624,625,'406',232,'krn:{"127":0.0556}}],[0.','438',449,467,'0738,',612,'497',577,467,'0359,',668,'469',173,594,612,'354',232,668,'576',185,'583',177,'603',187,',{',651,297,'494',551,'0637,krn:{"',624,'0278}}],[0.','438',449,467,'046,','krn:{"127":0.111}}],[0.','57',551,'0359}],[0.','517',187,',{',612,'571',551,'0359,krn:{"59',491,'58":-0.',625,'437',551,'113,krn:{"',624,699,'54',551,'0359,',651,297,'596',449,',0.194,{',612,'626',187,',{',668,'651',449,467,'0359,',704,'622',551,707,'466',232,612,'591',',0.694,0,{',612,'828',551,598,'517',187,',{',612,'363',577,',0.0972,{ic:0.','0799,',612,'654',187,',{',651,'0.0833}}],[1',260,'1',260,'1',260,'1',260,'0.278',',0.464,-0.0363],[','0.278',775,'0.5,0.465,-0.0347],[',778,'0.5',185,'5',185,'5',185,'5',187,'],[0.5',187,'],[0.5',187,240,'5',187,240,'5',187,'],[',229,'],[',229,230,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',491,'65',491,'77',491,'78',491,'89":0.0556,"90":-0.',625,'778',804,778,'0.531',173,'0556,',612,'75',268,'127":','0.','139}}],[0.','759',394,'0502,',612,'715',394,'0715,krn:{"61',270,624,355,'828',394,594,668,'738',394,'0576,',612,'643',394,'139',604,355,'786',301,612,'831',394,'0812,krn:{"61',491,624,625,'44',394,'0785,',704,'555',394,'0962',604,'167}}],[0.','849',394,'0715,krn:{"61',491,624,625,'681',268,824,297,'97',394,'109,krn:{"','61',491,624,355,'803',394,880,'61',345,'61',270,624,355,'763',394,594,612,'642',394,'139',604,355,'791,0.683',730,612,'759',394,'00773,',612,'613',394,'0576,krn:{"61',491,624,355,'584',394,'139,krn:{"61',270,624,355,'683',394,880,'59":-0.111,"',716,'111,"61',491,824,297,'583',394,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',394,'139',934,'828',394,'0785,krn:{"61',345,'61',270,624,355,'581',394,'222',934,'683',394,'0715,krn:{"61',491,624,355,'389,0.75],[0.389',212,'0.389',212,'1,0.358,-0.142],[',961,'0.417',748,704,'529',185,'429',177,'433',232,668,'52',220,'89":0.0556,"90',491,'106":-0.111,"102":-0.167,"',608,'466',232,668,'49',449,467,'108,krn:{"',624,867,'477',577,467,'0359,',651,297,'576',220,'127":-',297,'345,0.66],[0.412,0.66',467,'0572,krn:{"59',491,716,625,'521',173,'0315}],[0.298',173,'0197,',612,'878',185,'6',185,'485',232,668,'503',187,',{',612,'446',577,467,'0359,',612,'451',551,594,'krn:{"',624,625,'469',232,668,'361,0.615,0,{',612,'572',205,824,297,'485',551,'0359,',651,297,'716',551,'0269,',612,'572',205,824,297,'49',577,467,'0359,',668,'465',551,'044,',668,'322',205,824,297,'384',187,',{',612,'636',187,',{',704,'5,0.714',',0,{ic:0.','154}],[0.278',173,'399}]],cmsy10:[[',228,'0.278,0.444,-0.0556],[',228,778,228,'0.5,0.444,-0.0556],[',228,228,228,228,228,228,228,'1',212,1085,1085,'0.778',775,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1100,1100,1100,1100,1100,'],[0.778',260,'0.778,0.483,-0.0169],[0.778',804,'0.778',804,'1',804,'1',804,'0.778',804,'0.778',804,'1',260,'1',260,'0.5',212,'0.5',212,'1',260,'1',212,'1',212,'0.778',775,'1',260,'1',260,'0.611',212,'0.611',212,'1',260,'1',212,'1',212,'0.778',185,'275,0.556],[1',185,'667',804,'0.667',804,'0.889',212,'0.889',212,'0',212,'0',260,'0.556',177,'556',177,'667',185,'5',214,'722',177,'722',177,'778',177,'778',177,'611',177,'798',268,'48":0.','194}}],[0.657',394,'0304',',krn:{"48":0.',826,'527',394,'0583',1190,826,'771',394,'0278',1190,355,'528',394,'0894',1190,'111}}],[0.','719',394,'0993',1190,1206,'595',',0.683,0.0972,{ic:0.','0593',1190,1206,'845',394,'00965',1190,1206,'545',394,'0738,krn:{"48":',297,'678',1213,'185',1190,867,'762',394,'0144',1190,625,'69',268,1186,'139}}],[1.2',268,1186,826,'82',394,'147',1190,355,'796',394,1199,1190,1206,'696',394,'0822',1190,355,'817,0.683,0.0972,{krn:{"',1186,1206,'848',268,1186,355,'606',394,'075',1190,826,'545',394,'254,krn:{"48":',297,'626',394,'0993',1190,355,'613',394,'0822,krn:{"48":',297,'988',394,'0822',1190,355,'713',394,'146',1190,826,'668',1213,'0822',1190,355,'725',394,'0794',1190,826,'667,0.556],[0.',1303,1303,1303,1303,'611',177,'611',177,'444',224,'444',224,'444',224,'444',224,'5',224,'5',224,'389',224,'389',224,'278',224,'5',224,'5',224,'611',224,'5',224,'278',212,'0.833,0.04,0.96],[0.75',151,'833',151,'417',449,467,'111}],[0.',1303,'667,0.556',1100,1100,'],[0.444',212,'0.444',212,'0.444',212,'0.611',212,'0.778,0.694,0.13','],[',1360,'],[',1360,'],[',1360,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1368,'17}],[0.417',1368,'104}],[0.417',1368,'105}],[0.','472',1368,'106}],[0.472',1368,'107}],[0.472',1368,'108}],[0.','472',1368,'109}],[0.583',1368,'110}],[0.583',1368,1347,'472',1368,'68}],[0.472',1368,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1395,'rep:13}}],[0.578',1368,'46}],[0.578',1368,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1403,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1407,'33}],[0.528',1407,'34}],[0.528',1407,'35}],[0.583',1407,'36}],[0.583',1407,'37}],[0.583',1407,'38}],[0.583',1407,'39}],[0.75',1407,'40}],[0.75',1407,'41}],[0.75',1407,'42}],[0.75',1407,'43}],[1.04',1407,'44}],[1.04',1407,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1435,'49}],[0.583',1435,'50}],[0.583',1435,'51}],[0.639',1435,'52}],[0.639',1435,'53}],[0.639',1435,'54}],[0.639',1435,'55}],[0.806',1435,'56}],[0.806',1435,'57}],[0.806',',0.04,2.96],[','0.806',1455,'1.28',1455,'1.28',1455,'0.811',1403,'n:30}],[0.811',1403,'n:31}],[0.875',1403,'delim:{top:','48,bot:64,rep:66}}],[0.875',1403,1468,'49,bot:65,','rep:67}}],[0.','667',1403,1468,'50,bot:52,rep:54}}],[0.667',1403,1468,'51,bot:53,rep:55}}],[0.667',1403,'delim:{bot:','52,rep:54}}],[0.667',1403,1482,'53,rep:55}}],[0.667',1395,'top:50,rep:54}}],[0.667',1395,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1491,'57,mid:61,bot:59,rep:62',1491,'56,bot:58,rep:62',1491,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1499,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1395,'top:120,','bot:121,rep:63}}],[0.','875',1403,1468,'56,bot:59,',1503,'875',1403,1468,'57,bot:58,',1503,'875',1395,'rep:66}}],[0.875',1395,1473,'611',1403,'n:28}],[0.611',1403,'n:29','}],[0.833,0,1,{n:','71}],[1.','11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75}],[1.51',',0.1,1.5],[1.',1533,'77}],[1.51',1535,1533,'79}],[1.51',1535,'06,0,1,{n:88}],[','0.944,0,1,{n:','89}],[',1531,'90',1528,'91',1528,'92',1528,'93',1528,'94',1528,'95}],[1.44',1535,'28,0.1,1.5],[0.556,0',',2.22,{ic:0.444}],[1.11',1535,'11',1535,'11',1535,'11',1535,1530,1543,'97}],[1.',1558,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',1572,'103',1574,'472',1403,'n:20}],[0.472',1403,'n:21}],[0.528',1403,'n:22}],[0.528',1403,'n:23}],[0.528',1403,'n:24}],[0.528',1403,'n:25}],[0.667',1403,'n:26}],[0.667',1403,'n:27}],[1',1368,'113}],[1',1403,'n:114}],[1',1407,'115}],[1',1435,'116}],[1.06,0,1.8,{',1468,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1395,'top:126,','bot:127,rep:119','}}],[0.667',1395,1506,'rep:63}}],[0.667',1395,1507,'45,0.12],[0.',1615,1615,1615,'778',1395,1607,'rep:119}}],[0.778',1395,1608,'}}]],cmti10:[[0.627',394,'133}],[0.818',151,'767',394,'094}],[0.692',151,'664',394,'153}],[0.743',394,'164}],[0.','716',394,'12}],[0.','767',394,1347,'716',394,'0599}],[0.767',394,1347,'716',394,'103}],[0.','613',449,467,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',175,'562',449,467,1651,'588',449,467,1651,'882',449,467,1651,'894',449,467,1651,'307',551,'0767}],[0.','332',577,467,'0374}],[0.511',177,'511',173,'0969','}],[0.511,0.','628',1076,'083}],[0.511',173,'108',1684,'562',1076,1651,'831',177,'46,0,0.17],[0.537',449,467,1375,'716',551,'0751}],[0.716',551,'0751',1684,'528',759,'0919}],[0.883',394,1640,'985',394,1640,'767,0.732,0.0486,{ic:0.094}],[0.256',205,'108":-0.256,"76":-0.321}}],[0.307',173,'124,lig:{"96":',208,'514',173,'0696}],[0.818',449,467,'0662}],[0.769',177,'818,0.75,0.0556,{ic:0.136}],[0.767',173,'0969}],[0.307',173,'124,krn:{"63":0.102,"33":0.102',222,'409',',0.75,0.25,{ic:0.','162}],[0.409',1734,'0369',1684,'75',1076,'149}],[0.767,0.562,0.0567,{ic:0.0369','}],[0.307,0.','106',230,'358',551,'0283,',233,'123}}],[0.307,0.106],[0.511',1734,'162}],[','0.511,0.644,0,{ic:0.136}],[',1752,1752,1752,'0.511',239,467,'136}],[',1752,1752,'0.511',239,467,'136}],[',1752,1752,'0.307',551,'0582',1742,'431',467,'0582',1742,'5',467,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1684,'5',230,'511',173,'122,lig:{"96":62}}],[0.767',173,'096}],[0.743',301,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1790,'86','":-0.102,"','87',1794,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',394,1651,'716',394,'145}],[0.','755',394,'094,krn:{"88','":-0.0256,"','87',1807,'65',1807,'86',1807,'89','":-0.0256}}],[0.','678',394,1640,'653',394,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1794,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',394,'0872}],[0.743',394,1637,'386',394,'158}],[0.525',394,'14}],[0.769',394,'145,krn:{"',1828,'627',268,'84',1790,'89',1790,'86',1794,'87',1794,1797,'897',394,1637,'743',394,1637,'767',394,'094,krn:{"88',1807,'87',1807,'65',1807,'86',1807,'89',1815,'678',394,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',467,'094}],[0.729',394,'0387,',1788,'0.0256,"84',1790,'89',1790,'86',1794,'87',1794,1797,'562',394,1640,'716',394,1821,'121',1823,'111',1825,'117":-0.0767,"65":-0.0767}}],[0.','743',394,1637,'743',394,'184,krn:{"111',1823,'117',1825,'65',1794,1828,'999',394,'184',1874,'743',394,'158,krn:{"',1828,'743',394,'194,',414,1790,'111',1825,1900,'613',394,1803,'307',1734,'188}],[0.514',173,'169}],[0.307',1734,1375,'511',173,'0665',1742,'668',1076,'118}],[0.307',173,1718,439,'511',551,1675,'46',173,'0631,krn:{"',1797,'46',551,'0565,krn:{"',1797,'511',173,'103,krn:{"108":0.0511}}],[0.','46',551,'0751,krn:{"',1797,'307',449,467,1655,465,'46',577,467,'0885}],[0.511',173,'0767',1742,'655',1076,'102',1742,'655',467,1803,'46',173,1382,'256',173,1962,'818',551,1675,'562',551,'0767,krn:{"39":-0.102}}],[0.511',551,'0631,krn:{"',1797,'511',577,467,'0631,'],
  ['krn:{"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','46',',0.431,0.194,{ic:0.0885}],[0.','422',',0.431,0,{ic:0.','108,',0,'409',4,'0821}],[0.332,0.615,0,{ic:0.0949}],[0.537',4,'0767}],[0.46',4,'108}],[0.664',4,'108,krn:{"108":0.0511}}],[0.464',4,'12}],[0.486',2,'409',4,'123}],[0.511',4,'0921',',lig:{"45":124}}],[1.','02',4,'0921}],[0.511,0.694,0,{ic:0.122','}],[0.511,0.668,0,{ic:0.','116',28,'105}]],cmbx10:[[0.692',',0.686],[0.','958',32,'894',32,'806',32,'767',32,'9',32,'831',32,'894',32,'831',32,'894',32,'831',32,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',56,'958',56,'958',56,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',67,'694',67,'632',67,'694',67,'596],[0.869',56,'511,0,0.17],[0.597',56,'831',64,'894,0.444',67,'542,0.0972],[1.04,0.686],[1.17',32,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',56,'958,0.','694,0.194',67,'75,0.0556],[0.',92,95,'894',56,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447',',0.75,0.25],[0.','447,0.75,0.25',67,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383',',0.444,0',',{lig:{"45":123}}],[',107,67,'75,0.25',67,'644',67,'644',67,'644',67,'644',67,'644',67,'644',67,'644',67,'644',67,'644',67,'644],[0.319',64,'319',66,'],[0.35,0.5',108,'894,0.391,-0.109],[0.543,0.5',108,'543',89,'62}}],[0.894',56,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',149,'79',149,'71',149,'85',149,'81',149,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',32,'831',32,'882',147,'88',149,'87',149,'65',149,'86',149,'89','":-0.0319}}],[0.','756',32,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',32,'9',32,'436',147,'73','":0.0319}}],[0.','594',32,'901',147,'79',149,'67',149,'71',149,'81',176,'692',147,160,'1.09',32,'9',32,'864',147,'88',149,'87',149,'65',149,'86',149,'89',176,'786',147,'65":-0.0958,"111',149,'101',149,'97',149,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',108,'862',147,'116',149,'67',149,'79',149,'71',149,'85',149,'81',149,160,'0.639',32,'8',147,'121',149,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',32,'869,0.686,0,{ic:0.','016,',180,'1.19,0.686,0,{ic:0.016,',180,'0.869',147,'79',149,'67',149,'71',149,'81',176,255,'0287,krn:{"',252,'703',32,'319',103,'603',56,'319,0.75,0.25',67,'694],[0.319',56,'319',89,'92}}],[0.559',87,'118',149,'106":0.0639,"121',149,'119',176,'639,0.694,0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',87,'104',149,'107',176,'639',56,'527',64,'351',54,'12,"102":11,"108":13}}],[0.575',66,',{ic:0.016,krn:{"','106',188,'639',101,'116',149,'117',149,'98',149,'121',149,'118',149,'119',176,'319',56,'351,0.694',108,'607',101,'97":-0.0639,"101',149,'97',149,'111',149,'99',176,'319',56,'958',87,'116',149,'117',149,'98',149,'121',149,'118',149,'119',176,'639',87,'116',149,'117',149,'98',149,'121',149,'118',149,'119',176,'575',110,294,'639',66,294,'607',66,'],[0.474',64,'454',64,'447,0.635,0,{krn:{"121',149,'119',176,'639',87,'119',176,'607',110,309,'97":-0.0639,"101',149,'97',149,'111',149,'99',176,'831',110,309,'101',149,'97',149,'111',149,'99',176,'607',64,'607',66,309,'111',149,'101',149,'97',149,228,'511,0.444',67,'444,0,{ic:0.0319',24,'15,0.',426,'}],[0.575,0.694',67,'694',67,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_94){for(var _95 in _94){if(!','this.update[_95',']){',439,']=[];}',439,']=',439,'].concat(_94[_95]);}},AddFont',437,'_96,def){if(!',435,'[_96]){',435,'[_96]={};}','jsMath.Add(',435,'[_96],def);},UpdateFonts',':function(){','var _98=this.update;','if(!this.loaded){','return;}var ','_99=this[','jsMath.Img.fonts','[this.best]];','for(var _9a in _98){','for(var i=0;i<','_98[_9a].length;i++){var c=_98[_9a][i];if(c=="all"){for(c in ','jsMath.TeX[','_9a]){',466,'_9a][c].img','={};}}else{',466,469,'={};}}}this.update={};},BestSize',456,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',476,'i]]+2*m)/3){','return ','i-1;}m=',476,'i]];}',483,'i-1;},Scale',456,458,'return;}this.best=this.BestSize();this.em=',435,'.w[',478,462,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',496,'-1)<0.12){',496,'=1;}},URL',437,'_a0,_a1,C){var _a3=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_a1!=""){_a1+="/";}','return this.','root+_a0+_a3+_a1+C;},LoadFont',437,'_a4){',458,'this.Init();}jsMath.Setup.Script(this.URL(_a4,""));},Init',456,'if(',505,'print){',505,'print=0;var _a5=jsMath.Element("button");if(_a5){_a5.style.display="none";}this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',505,'alpha=0;}}var _a6="0123456789ABCDEF";this.HexCode=[];',464,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_a6.charAt(h)+_a6.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',437,'m){var n=5;if(m<0){n++;}',498,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',483,'s+"em";},Spacer',437,'w){if(w','==0){return "";}',483,519,'msieSpaceFix+"<span style=\\"margin-left',': "+this.Em(w-',519,'spaceWidth',')+"\\">"+',519,'hiddenSpace+"</span','>";},Rule',437,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}','if(w==0||h',533,'w*=',519,'imgScale',';h=Math.round(h*jsMath.em*',519,550,'+0.25);if(h<1){h=1;}return "<','img src=\\""+jsMath.blank','+"\\" hspace=\\"0\\" vspace=\\"0\\" "+"style=\\"width',':"+this.Em(','w)+"; height:1px; "+"','vertical-align',':-1px; "+"border:0px none; border-top:"+h+"px solid\\" />";},Class',437,'_b0,_b1){return "<span class=\\""+_b0+"\\">"+_b1+"</span>";},Place',437,'_b2',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _b5','="<span style=\\"position: ','relative',';";if(x){_b5+=" margin-left',557,'x)+";";}if(y){_b5+=" ','top:"+this.Em(-y',')+";";}_b2=_b5+"\\">"+_b2','+"</span>";}',483,'_b2;},PlaceSeparateSkips',437,'_b6',565,'if(y){_b6',567,568,'; ',572,')+";"+"\\">"+_b6',574,'if(x){_b6=',519,536,557,'x-',519,539,')+";\\">"+',519,542,'>"+_b6',';}return ','_b6;},PlaceAbsolute',437,'_b9',565,'_b9',567,'absolute; left',557,'x)+"; "+"top',557,'y',594,'_b9+"&nbsp;</span>";',483,'_b9;},Absolute',437,'_bc,w,h,d,y,H){var _c2="";if(d&&d!="none"){_c2=" ',559,': "+','jsMath.HTML.','Em(-d)+";";}if(y!="none"){',498,'y)<0.0001){y=0;}_bc',567,'absolute; "+"top:"+',618,'Em(y)+"; left: 0em',';\\">"+_bc','+"&nbsp;"+"</span>";}_bc+="<',555,'+"\\" style=\\""+"width:"+',618,'Em(w*',519,550,')+"; "+"height:"+',618,'Em(h*',519,550,')+";"+_c2+"\\" />";if(',519,'msieAbsoluteBug){_bc',567,568,626,574,'_bc',567,568,';"+" width: "+',618,'Em(w)+";"+" height: "+',618,'Em(H)+";"+',519,'msieInlineBlockFix+"\\">"+_bc+"</span>";',483,'_bc;}};','jsMath.Box','=function(','_c3,_c4,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_c4;this.format=_c3;};',453,658,',{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',437,'_c8,_c9,_ca,_cb,a,d){var _ce=','jsMath.Typeset.AddClass(','_c9,_c8);_ce=','jsMath.Typeset.','AddStyle(','_ca,_cb,_ce);var BB','=jsMath.EmBoxFor(','_ce);var TeX=',672,'TeX(_ca,_cb);var bd=((_c9=="cmsy10"||_c9=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',666,'text",_c8,BB.w,BB.h-bd,bd);box.style=_ca;box.size=_cb;','box.tclass','=_c9;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',437,'C,_d4,_d5,_d6){var c=',466,'_d4][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_d4,C,',672,'StyleSize(_d5,_d6));}var _d8=',672,'TeX(_d5,_d6).scale;var h=c.h+',466,'_d4].dh;',679,666,'text",c.c,c.w*_d8,h*_d8,c.d*_d8);box.style=_d5;box.size=_d6;if(c.tclass){',682,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_d8*jsMath.h;box.bd=_d8*jsMath.d;}}else{',682,'=_d4;box.bh=_d8*',466,'_d4].h;box.bd=_d8*',466,'_d4].d;if(',519,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display: none\\">x</span','>";}}',688,'TeXfallback',437,'C,_dc,_dd,_de','){c=',466,'_dc][C];if(!c.tclass){c.tclass=_dc',698,'){',507,'TeXnonfallback(',723,');}if(c.h!=null&&c.a',696,'a=c.h-1.1*jsMath.TeX.x_height;}',679,'this.Text(c.c,c.tclass,_dd,_de,c.a,c.d);var _e0=',672,'TeX(_dd,_de).scale;if(c.bh',684,'bh=c.bh*_e0;box.bd=c.bd*_e0;}else{var h=box.bd+box.bh;var _e2=',670,682,',box.html);_e2=',672,673,'_dd,_de,_e2);box.bd',675,'_e2+"<',555,'+"\\" "+"style','=\\"width: 1px; height: "+',618,'Em(h)+"\\" />").h-h;box.bh=h-box.bd;c.bh=box.bh/_e0;c.bd=box.bd/_e0;}if(jsMath.',718,'>";}',688,'TeXIMG',437,'_e3,C,_e5){var c=',466,'_e3][C];if(c.img.size!=null&&c.img.size==_e5&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',459,'_e7=(',435,'.scale!=1);var id=',762,'+_e5-4;if(id<0){id=0;_e7=1;}else{if(id>=',461,'.length){','id=',461,'.length-1',';_e7=1;}}var _e9=',435,'[',461,'[id]];var img=_e9[_e3][C];var _eb=1/',435,'.w[',461,'[id]];if(id!=',762,'+_e5-4){if(c.w!=null){_eb=c.w/img[0];}else{_eb*=',461,'[_e5]/',461,'[4]*',461,'[',762,']/',461,'[id];}}var w=img[0]*_eb;var h=img[1]*_eb;var d=-img[2]*_eb;var v;var _f0=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',618,'Em(c.w-w)+";";var _f1="";C=',435,'.HexCode[C];if(!_e7&&!',505,'scaleImg){if(2*w<h||(',519,'msieAlphaBug&&',505,'alpha)){_f1="height',':"+(img[1]*',519,550,')+"px;";}_f1+=" width:"+(img[0]*',519,550,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',519,'msieAlphaBug&&',505,805,':"+',618,'Em(h*',519,550,')+";";}_f1+=" width:"+',618,'Em(w*',519,550,')+";";v=',618,'Em(d);}var _f2=(Math.abs(d)<0.01&&!',519,'valignBug)?"":" ',559,':"+v+";";var URL=',435,'.URL(_e3,',461,'[id],C);if(',519,'msieAlphaBug&&',505,'alpha){c.c="<',555,750,'=\\""+',519,'msieCenterBugFix+_f1+_f2+_f0','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{c.c="<img src=\\""+URL+"\\" style=\\""+',519,846,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_e5;c.img.best=',762,';},Space',437,'w){',483,666,'html",',618,'Spacer(w),w,0,0);},Rule',437,545,'var _f7=',618,'Rule(w,h);',483,666,857,'_f7,w,h,0);},GetChar',437,'_f8,_f9){var c=',466,'_f9][_f8];','if(c.img!=null){this.TeXIMG(','_f9,_f8,4);}if(c.tclass',696,'tclass=_f9;}if(!c.computedW){c.w',675,670,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',694,'c.computedW=1',598,'c;},DelimBestFit',437,'H,c,_fd,_fe){if(c==0&&_fd','==0){return null;}','var C;var h;_fd','=jsMath.TeX.fam[','_fd];var isSS=(_fe.charAt(1)=="S");var isS=(_fe.charAt(0)=="S");while(c!=null){C=',466,'_fd][c];if(C.h==null){C',881,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,_fd',',"",H];}if(isSS&&0.5*h>=H',896,',"SS",0.5*h];}if(isS&&0.7*h>=H',896,',"S",0.7*h];}if(h>=H||C.n==null',896,',"T",h];}c=C.n',598,'null;},DelimExtendRelative',437,'H,c,font,a,','_107){var C=',466,'font][','c];var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',670,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',916,')));H=2*n*(',916,')+(top.h+top.d)+(','mid.h+mid.d',')+(',920,');if(_107){y=0;}else{y=H/2+a;}var Y=y',';var html=',618,'Place(',670,'top.tclass,top.c),0,','y-top.h)+',618,932,670,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',618,932,670,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',464,'n;i++){','html+=',618,932,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',916,'));if(top.h+top.d<0.9*(',916,')){n=Math.max(1,n);}H=n*(',916,925,920,');if(_107){y=0;}else{y=H/2+a;}var Y=y',930,618,932,670,934,'y-top.h);dx=(w-top',946,950,618,932,670,939,'w+bot.w)/2,Y-(H-bot.d));}if(_107){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',437,907,'_120){var Font=',466,'font];var ','C=Font[',911,918,'-0.05)-(',920,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',991,925,926,'-0.05)+(',920,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',670,934,'0);var h=',991,';var y=top.d-0.05+rep.h;var ext=',670,'font,rep.c);',464,'n;i++){',950,999,'ext,0,y+i*h);}',950,999,670,944,'),0,y+n*h-rep.h+mid.h);y+=n*h+',926,'-0.05;',464,'n;i++){',950,999,'ext,0,y+i*h);}',950,999,670,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',954,989,991,'));H=n*(',991,925,920,'-0.05);html=',999,670,934,'0);var h=',991,';var y=top.d-0.05+rep.h;var ext=',670,914,464,'n;i++){',950,999,'ext,0,y+i*h);}',950,999,670,1027,'var w=top.w;if(_120){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',618,'Absolute(html,w,','Font.h,"none",-y,top.h);',977,'Delimiter',437,'H,_135,_136,_137){var size=4;var TeX=',672,'TeX(_136,size);if(!_135){',507,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_135[','2],_135[1],_136);if(CFSH==null||CFSH[3]<H){',1066,'4],_135[3],_136);}if(CFSH==null){',507,1064,'if(CFSH[2]==""){',507,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_137);}box=',658,'.TeX(',1075,'CFSH[2],size',').Styled();if(_137){box.y=-',466,'CFSH[1]].dh',686,'y=-((box.h+box.d)/2-box.d-',1076,');}',498,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1081,');}',688,'GetCharCode',437,'code){var font',890,'code[0]];var Font=',466,983,'c=Font[code[1]];',873,'font,code[1],4);}if(c.w',696,'w',675,670,879,';}if(c.font',696,'font=font',598,'c;},AddClass',437,'_13f,html',',font){if(_13f==null){_13f=font',598,670,1117,');},LayoutRelative',437,'size,_143,_144,_145){if(_144==null){_144=[];}if(_145==null){_145=[];}var _146=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_14a=-1000;var bh=_14a;var bd=_14a',';var i;var j;var row;for(i=0;i<','_143',479,'row=_143','[i];H[i]=jsMath.h*','_146',';D[i]=jsMath.d*','_146',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(bh==_14a){bh=0;}if(bd==_14a){bd=0;}','var HD=(jsMath.hd-0.01)*','_146;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _158;var _159',';for(j=0;j<W.length;j++){','_158=[];y=-H[0];pW=0',';for(i=0;i<','_143',479,'_159=_143[i][j];if(_159&&_159','.format!="null"){if(','_144[j]=="l"){w=0;}else{if(_144[j]=="r"){w=W[j]-_159.w;}else{w=(W[j]-_159.w)/2;}}_159.x=w-pW;pW=_159.w+w;_159.y=y;_158[_158.length]=_159;}if(i==_143',774,'){y-=D[i];}else{y-=','Math.max(HD,D[i]+H[i+1])+','_146/10;}}if(_145[j]==null){_145[j]=_146;}if(_158.length>0',1091,'(_158,"T",size);',950,618,932,'box.html,cW,0);cW=W[j]-box.w+_145[j];}else{cW+=_145[j];}}w=-_145[W',774,'];y=(H',774,')*_146/10',1144,'W',479,'w+=W[i]+_145[i];}','for(i=0;i<H.length;i++){y+=Math.max(HD,H[i]+D[i]);}h=y/2+jsMath.TeX.axis_height;var d=y-h;',950,618,'Spacer(cW-_145[W',774,']+_146/6);html=',618,932,'html,_146/6,h);box=',666,'html",html,w+','_146/3,h,d);box.bh=bh;box.bd=bd;',688,'LayoutAbsolute',437,'size,_15c,_15d,_15e){if(_15d==null){_15d=[];}if(_15e==null){_15e=[];}var _15f=jsMath.sizes[size]/100;',1138,'_15f',1125,'w=0;var h;var x;var y',1127,'_15c',479,'row=_15c',1131,'_15f',1133,'_15f',1135,1136,'w;}}}}y=(H',774,')*_15f/6;',1168,1140,'_16d;w=_15f/6',1142,'y=H[0]-h',1144,'_15c',479,'_16d=_15c[i][j];if(_16d&&_16d',1148,'_15d[j]=="l"){x=0;}else{if(_15d[j]=="r"){x=W[j]-_16d.w;}else{x=(W[j]-_16d.w)/2;}}',950,999,'_16d.html,w+x,y-Math.max(0,_16d.bh-jsMath.h*_15f));}if(i==_15c',774,'){y+=D[i];}else{y+=',1152,'_15f/6;}}if(_15e[j]==null){_15e[j]=_15f;}w+=W[j]+_15e[j];}w=-_15e[W',774,']+_15f/3',1144,'W',479,'w+=W[i]+_15e[i];}html=',618,'Spacer(_15f/6',')+html+',618,1226,');if(',519,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',618,1055,'h+d,d,y,H[0]);',679,666,1178,'_15f/3,h,d);',688,'InternalMath',437,'text,size){if(!text.match(/\\$|\\\\\\(/)){',507,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _174="";var _175=[];var _176;var html;var box;while(i<text',771,'c=text.charAt(i++);if(c','=="$"){if(_174=="$"){','_176=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_176.error){_175[_175.length]=this.Text(_176.error,"error","T",size,1,0.2);}else{_176.Atomize();_175[_175.length]=_176.mlist.Typeset("T",size).Styled();}_174="";k=i',';}else{','_175[_175.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_174="$";k=i;}}else{if(c=="\\\\"){',1247,'=="("&&_174==""){',1253,',i-2',1255,'_174=")";k=i;}else{if(c==")"&&_174==")"){',1249,'2',1251,';}}}}}',1253,1255,507,'SetList(_175,"T",size);},Set',437,'box',',_17a,size',',_17c){if(box){','if(box.type=="typeset"){',483,'box;}if(box.type=="mlist"){box.mlist.Atomize(_17a,size);',483,'box.mlist.Typeset(_17a,size);}if(box.type=="text"){box=this.Text(box.text,',682,1273,',box.ascend,box.descend',');if(_17c!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1273,1283,483,658,'.Null;},SetList',437,'_17d,_17e,size){var _180=[];var box;',464,'_17d',479,'box=_17d[i];',1275,'box=','jsMath.mItem','.Typeset(box);}_180[_180.length]=box;}var _183=new jsMath.Typeset(_180);',483,'_183.Typeset(_17e,size);}});','jsMath.Package(jsMath.','Box,{Styled',456,'if(this.format=="text"){',661,670,'this.tclass,this.html);',661,672,673,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}',483,'this;},Remeasured',456,'if(this.w>0&&!this.html.match(/position: ?absolute/)){this.w',675,'this.html).w',598,'this;}});',1298,659,'type,def){this.type=type;',453,'this,def);};',453,1298,',{Atom',437,'type,_187','){return new jsMath.mItem','(type,{atom:1,nuc',':_187});},TextAtom',437,'type,text,_18a,a,d){var atom=new ',1298,1332,':{type:"text",text:text,tclass:_18a}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1339,'descend=d',598,'atom;},TeXAtom',437,'type,c,font',1331,1332,':{type:"TeX",c:c,font:font}});},Fraction',437,'name,num,den,_194,left,_196',1331,'("fraction",{from:name,num:num,den:den,thickness:_194,left:left,right:_196});},Space',437,'w',1331,'("space",{w:w});},Typeset',437,'box',1331,'("box",{nuc:box});},HTML',437,'html',1331,'("html",{html:html});}});jsMath.mList',659,'list,font,size,_19d){if(list){this.mlist=list;}else{this.mlist=[];}if(_19d==null){_19d="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_19d','};this.init={',1368,'};};',1302,'mList,{Add',437,'box){return (','this.mlist[','this.mlist.length',']=box);},Get',437,'i){',507,'mlist[i];},Length',456,483,1377,';},Last',456,'if(',1377,888,507,'mlist[',1377,'-1];},Range',437,'i,j){if(j==null){j=',1377,598,'new jsMath.mList','(this.mlist.slice(i,j+1));},Delete',437,1396,'i;}if(','this.mlist.splice','){',1404,'(i,j-i+1);}else{var _1a4=[];for(var k=0;k<',1377,';k++){if(k<i||k>j){_1a4[_1a4.length]=',1376,'k];}}this.mlist=_1a4;}},Open',437,'left){',679,'this.Add(new ',1298,'("boundary",{','data:this.data}));var _1a8=this.data;this.data={};for(var i in _1a8){this.data[i]=_1a8[i];}delete ','this.data.overI;','delete ','this.data.overF;this.data','.openI=',1377,'-1;if(left',684,'left=left;}',688,'Close',437,'_1aa){if(_1aa!=null){_1aa=new ',1298,1417,'right:_1aa});}var atom;var open=this.data.openI;var over=',1419,'var from=',1421,'=',1376,'open].data;if(over){atom=',1298,'.Fraction(from.name,{','type:"mlist",mlist:this.Range(','open+1,over-1)},{',1442,'over)},from.thickness,from.left,from.right);if(_1aa){var _1af=',1399,'([',1376,'open],atom,_1aa]);atom=',1298,'.Atom("inner",{type:"mlist",mlist:_1af});}}else{var _1b0=open+1;if(_1aa){this.Add(_1aa);_1b0--;}atom=',1298,'.Atom((_1aa)?"inner":"ord",{',1442,'_1b0)});}this.Delete(open,this.Length());',507],
  ['Add(','atom',');},','Over',':function','(){var over=this.data.overI;var from=this.data.overF;var atom=','jsMath.','mItem.Fraction(from.name,{','type:"mlist",mlist:this.Range(','open+1,over-1)},{',8,'over)},from','.thickness',',from.left,from.right);','this.mlist','=[atom];},Atomize',4,'(_1b4',',size){var ','_1b6;var prev="";','this.style','=_1b4;','this.size','=size;for(var i=0;i<',14,'.length;i++){','_1b6=',14,'[i];_1b6','.delta=0;','if(_1b6.type=="choice"){',14,'=this.Atomize.choice(',20,',_1b6,i,',14,');i--;}','else{if(','this.Atomize[_1b6.type',']){var f=',38,'];f(',20,',',22,',_1b6,prev,this,i);}}prev=_1b6;}if(_1b6&&_1b6','.type=="bin"){','_1b6','.type="ord";}','if(',14,'.length>=2&&_1b6.','type=="boundary','"&&',14,'[0].',52,'"){this.','AddDelimiters','(_1b4,size);}},',58,4,'(_1ba',18,'_1bc=-10000;var h=_1bc;var d=_1bc;for(var i=0;i<',14,25,'mitem=',14,'[i];if(mitem.atom||mitem.type=="box"){h','=Math.max(','h,','mitem.nuc.','h+',72,'y);d',70,'d,',72,'d-',72,'y);}}var TeX=',6,'TeX;var a=','jsMath.Typeset.','TeX(_1ba,size).axis_height;var _1c2',70,'h-a,d+a);var H',70,'Math.floor(','TeX.integer','*_1c2/500)*TeX.delimiterfactor,',90,'*(2*_1c2-TeX.delimitershortfall))/',90,';var left=',14,'[0];var _1c5=',14,'[',14,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1ba);_1c5.nuc',102,103,'_1c5.right',',_1ba);left.type="open";left','.atom=1;delete ',104,';_1c5.type="','close','";_1c5',110,108,';},','Typeset',4,'(_1c6',18,'_1c8=new ',6,118,'(',14,');','return ','_1c8.',118,'(_1c6,size);}});',6,0,6,'mList.prototype.Atomize,{style',4,'(_1c9,size,_1cb,prev,_1cd){_1cd.style=_1cb.style;},size',4,'(_1ce,size,_1d0,prev,_1d2){_1d2.size=_1d0.size;},phantom',4,'(_1d3,size,_1d5){','var box','=_1d5.nuc',102,'Set(','_1d5.phantom',',_1d3',',size);','if(_1d5.h){box','.Remeasured();','box','.html=',6,'HTML.Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1d5.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',146,';_1d5','.type="box";},','smash',4,'(_1d7,size,_1d9){',142,'=_1d9.nuc',102,145,'_1d9.smash',',_1d7,','size).Remeasured();',157,159,170,';_1d9',162,'raise',4,'(_1db,size,_1dd){','_1dd.nuc',102,145,181,',_1db',',size);var ','y=_1dd.raise;',181,152,6,'HTML.Place(',181,'.html,0,y);',181,'.h+=y;',181,'.d-=y;_1dd','.type="ord";','_1dd.atom=1;},lap',4,'(_1df,size,_1e1){',142,102,145,'_1e1.nuc',',_1df,',172,'var _1e3=[box];','if(_1e1.lap=="','llap"){','box.x=-box.w',';}else{',209,'rlap"){_1e3[1]=','jsMath.mItem.Space','(-',155,209,'ulap"){box.y=box.d;',157,'0',212,209,'dlap"){box.y=-box.h;',157,'0;}}}}',205,102,'SetList(','_1e3,_1df',148,209,'ulap"||_1e1.lap=="dlap"){',205,'.h=',205,'.d=0;}_1e1.type="box";delete _1e1.atom;},bin',4,'(','_1e4,size,_1e6',',prev){if(prev','){var type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',52,'"&&prev.left!="")){_1e6.type="ord";}}else{_1e6',48,'jsMath.mList.prototype.Atomize.SupSub(',240,2,'rel',4,'(','_1e9,size,_1eb',241,46,'prev',48,246,252,2,113,4,'(','_1ed,size,_1ef',241,46,'prev',48,246,263,2,'punct',4,'(','_1f1,size,_1f3',241,46,'prev',48,246,274,2,'open',4,'(','_1f5,size,_1f7','){',246,285,2,'inner',4,'(','_1f8,size,_1fa','){',246,293,2,'vcenter',4,'(','_1fb,size,_1fd','){',142,102,145,'_1fd.nuc,_1fb',186,'TeX=',84,'TeX(_1fb',148,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_1fd.nuc=box;_1fd',198,246,301,2,'overline',4,'(','_200,size,_202','){var TeX=',84,'TeX(_200',186,'box',102,145,'_202.nuc',',',84,'PrimeStyle','(_200),',172,'var t=','TeX.default_rule_thickness',';var rule',102,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',330,102,'SetList([box,','rule],_200',148,330,'.h+=t;_202',198,246,322,2,'underline',4,'(','_207,size,_209','){var TeX=',84,'TeX(_207',186,'box',102,145,'_209.nuc',',',84,333,'(_207),',172,336,337,';var rule',102,340,'=-box.d-3*t-t;',364,102,344,'rule],_207',148,364,'.d+=t;_209',198,246,356,2,'radical',4,'(','_20e,size,_210','){var TeX=',84,'TeX(_20e',186,'Cp=',84,333,'(_20e);',142,102,145,'_210.nuc,Cp,',172,336,337,';var p=t;if(_20e=="D"||_20e=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',102,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_20e,1);t=surd.h;if(surd.d>',409,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',102,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',211,';var Cr=',84,'UpStyle(',84,418,'_20e));var root',102,145,'_210.root,Cr,',172,'if(_210.root){root.y=0.55*(',409,'+3*t+r)-box.d;surd.x',70,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_210.nuc',102,'SetList([','surd,root,rule,box],_20e',148,'_210',198,246,390,2,'accent',4,'(','_21b,size',',_21d){var TeX=',84,'TeX(_21b',186,'Cp=',84,333,'(_21b);',142,102,145,'_21d.nuc',',Cp',186,'u=box.w;var s;var Font;if(_21d.','nuc.type=="TeX','"){Font=',6,'TeX[',455,'.font];if(','Font[_21d.nuc.c].krn','&&Font.skewchar){s=',465,'[Font.skewchar];}}if(s==null){s=0;}var c=_21d.accent[2];var font=',6,'TeX.fam[_21d.accent[1]];Font=',6,'TeX[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _226=Math.min(box.h,TeX.','x_height);','if(_21d.',459,'"){var _227=',6,'mItem.Atom("ord",',455,');_227.sup=_21d.sup;_227.sub=_21d.sub;_227',29,246,443,',_227);_226+=(_227.nuc.h-box.h);box=',455,'=_227.nuc;delete _21d.sup;delete _21d.sub;}var acc',102,'TeX(c,font,',443,');acc.y=box.h-_226;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',455,102,344,'acc],',443,');if(',455,'.w!=box.w){var _229=',215,'(box.w-',455,'.w);',455,102,432,455,',_229],',443,');}_21d',198,246,443,',_21d',2,'op',4,'(','_22a,size,_22c','){var TeX=',84,'TeX(_22a',186,'box;_22c',29,'var isD=(_22a','.charAt(0)=="','D");if','(_22c.limits','==null&&isD){_22c.limits=1;}if(_22c.',459,'"){var C=',6,'TeX[_22c.nuc.font][','_22c.nuc','.c];if(isD&&C.n){',534,'.c=C.n;C=',6,533,'C.n];}box',102,'Set(_22c.nuc,_22a,size',');if(C.ic){_22c','.delta=C.ic*TeX.scale;if',528,'||!_22c.sub||',6,'Browser.msieIntegralBug','){box',102,344,215,'(_22c.delta)],','_22a,size);}}','box.y=-((',409,')/2-box.d-',313,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',102,542,').Remeasured();}if',528,'){var W=box.w;var x=box.w;var _233=[box];var dh=0;var dd=0;if(_22c.sup){var sup',102,145,'_22c.sup,',84,418,'_22a),',172,'sup.x=((box.w-sup.w)/2+','_22c.delta/2)-x;','dh=TeX.big_op_spacing5;W',70,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_233[_233.length]=','sup;delete _22c.sup;}if(_22c.sub){var sub',102,145,'_22c.sub,',84,'DownStyle','(_22a),',172,'sub.x=((box.w-sub.w)/2-',573,'dd=TeX.big_op_spacing5;W',70,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',577,'sub;delete _22c.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',577,215,'(W-x);}',534,102,229,'_233,_22a',148,534,'.h+=dh;',534,'.d+=dd;}',37,6,548,'&&_22c.sub&&C&&C.ic){',534,102,344,6,'Box.Space','(-C.ic*TeX.scale)],_22a,size);}',37,'box.y){',534,102,432,'box],',554,246,518,');}},ord',4,'(','_238,size,_23a',',prev,_23c,i){if(_23a.',459,'"&&!_23a.sup&&!_23a.sub){var _23e=','_23c.mlist[','i+1];if(_23e&&_23e.atom&&_23e.type&&(_23e.type=="ord','"||_23e.type=="','op',633,'bin',633,'rel',633,'open',633,113,633,'punct")){if(_23e.',459,'"&&_23e.nuc.font==_23a.nuc.font){_23a.textsymbol=1;var krn=',6,'TeX[_23a.nuc.font][_23a.nuc.c].krn;krn*=',84,'TeX(_238,size).scale;if(krn&&krn[_23e.nuc.c]){for(var k=_23c.mlist.length-1;k>i;k--){',631,'k+1]=',631,'k];}',631,'i+1]=',215,'(krn[_23e.nuc.c]);}}}}',246,627,2,'fraction',4,'(','_241,size,_243','){var TeX=',84,'TeX(_241',186,'t=0;if(_243',12,'!=null){t=_243',12,';}',37,'_243.from.match(/over/)){t=',337,';}}var isD=(_241',526,'D");var Cn=(_241=="D")?"T":(_241=="D\'")?"T\'":',84,418,'_241);var Cd=(isD)?"T\'":',84,583,'(_241);var num',102,145,'_243.num,Cn,',172,'var den',102,145,'_243.den,Cd,',172,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _24f=[',6,'Box.',103,'_243.left,_241)];var _250',102,103,'_243.right,_241);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_24f[1]=num;_24f[2]=den',212,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_24f[1]=den;_24f[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',212,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',337,':3*',337,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t;var a=',313,711,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',712,'v+=p-r;}var rule',102,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_24f[_24f.length]=','rule;}num.y=u;den.y=-v',721,'_250;_243.nuc',102,229,'_24f,_241',148,'_243',198,'_243',110,'_243.num;delete _243.den;',246,665,2,'SupSub',4,'(_257,size,_259){var TeX=',84,'TeX(_257',186,'nuc=','_259.nuc',';',142,'=',744,102,145,744,',_257,size,0);if(box.format=="null"){box=',744,102,'Text("","normal",','_257,size);}','if(',459,'"){if(!_259.textsymbol){var C=',6,'TeX[nuc.font][nuc.c];if(C.ic){_259',544,'(!_259.sub){','box=',744,102,344,6,613,'(','_259.delta',')],_257',148,771,'=0;}}}else{',771,'=0;}}if(!_259.sup&&!_259.sub){return;}',744,'.Styled();var Cd=',84,583,'(_257);var Cu=',84,418,'_257);var q=',84,'TeX(Cu,size).','sup_drop;var r=',84,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_259.sub){var sub',102,145,'_259.sub,Cd',148,'sub',102,432,'sub,',215,'(TeX.scriptspace)],_257,size',');}if(!_259.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',84,790,473,744,102,344,'sub],_257,size).Styled();','delete _259.','sub;return;}var sup',102,145,'_259.sup,Cu',148,'sup',102,432,'sup,',215,801,');if(_257=="D"){p=TeX.sup1;}',37,'_257','.charAt(','_257','.length-1)=="\'"){','p=TeX.sup3',212,'p=TeX.sup2;}}u',70,'u,p,sup.d+',84,787,'x_height/4);if',763,'sup.y=u;',744,102,344,'sup],_257',148,810,'sup;return;}v',70,'v,',84,790,'sub2);',336,337,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',150,'sub',150,837,'sub.y=-v;sup.x=',771,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',744,102,344,'sub,sup],',756,'else{sub.x-=(sup.w+sup.x);',744,102,344,'sup,sub],',756,810,'sup;',810,'sub;}});',6,118,'=function(_268){this.type="typeset";',14,'=_268;};',6,0,6,118,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',885,'\'",SS:"SS\'","',887,'UpStyle',4,'(_269){',128,'this.upStyle[_269];},',583,4,'(_26a){',128,'this.downStyle[_26a];},',333,4,'(_26b){if(_26b',825,'_26b',827,128,'_26b;}',128,'_26b+"\'";},StyleValue',4,'(_26c,v){if(_26c=="S"||_26c=="S\'"){',128,'0.7*v;}if(_26c=="SS"||_26c=="SS\'"){',128,'0.5*v;}',128,'v;},StyleSize',4,'(_26e,size){if(_26e=="S"||_26e=="S','\'"){size=Math.max(0,size-','2);}else{if(','_26e=="SS','"||',924,922,'4);}}return ','size;},TeX',4,'(_270,size){if(_270=="S"||_270=="S',922,923,'_270=="SS','"||',934,922,928,6,'TeXparams[size];},AddStyle',4,'(_272,size,html){if(_272=="S"||_272=="S',922,923,'_272=="SS','"||',945,922,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}',128,'html;},AddClass',4,'(_275,html){if(_275!=""&&_275!="normal"){html=',6,'HTML.Class(_275,html);}',128,'html;}});',6,'Package(',6,118,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},',113,963,'punct',965,',rel:1,open:1,',113,':1,punct:1,inner:1','},inner',965,',bin:2,rel:3,open',973,'}},SSsep:{ord:{op:1},op',965,'},bin:{},rel:{},open:{},',113,':{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',4,'(l,r,_279){if(l&&l.atom&&r.atom){var _27a=this.DTsep;if(_279',526,'S"){_27a=this.SSsep;}var row=_27a[l.type];if(row&&row[r.type]!=null){',128,6,'TeX[this.sepW[row[r.type]]];}}',128,'0;},',118,4,'(_27c,size){',20,'=_27c;',22,'=size;var _27e=-10000;this.w=0;this.h=_27e;this.d=_27e;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',1001,'hbuf',1001,'hx=0;var _27f=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',14,25,'prev=_27f;_27f=',14,'[i];switch(_27f.type){case "size":','this.FlushClassed();',22,'=_27f.size;','_27f=prev;break;case "','style":',1015,'if(',20,825,20,827,20,'=_27f.style','+"\'";}else{',20,1027,';}',1018,'space":if(typeof (_27f.w)=="object"){if(',20,825,'1)=="','S"){_27f.w=0.','5*','_27f.w[0]/18',';}',37,20,526,1037,'7*',1039,212,'_27f.w=',1039,';}}}this.dx+=_27f.w-0;',1018,'html":',1015,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_27f.html;_27f=prev;break;default:if(!_27f.atom&&_27f.type!="box"){break;}','_27f.nuc.','x+=this.dx+this.',983,'(prev,_27f,',20,');if(',1058,'y||',1058,'x){',1058,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1058,'w+',1058,'x;if(',1058,'format=="text"){if(',1003,'!=',1058,'tclass','&&',1003,'!=""){this.FlushText();}if(',1000,'==""&&',1005,'==""){this.tx=this.x;}',1000,'+=',1058,'html;',1003,'=',1058,1079,212,1015,'if(',1058,'x||',1058,'y){this.Place(_27f.nuc);}',1054,'x;}',1056,1058,'html;}this.h',70,'this.h,',1058,'h+',1058,'y);this.bh',70,'this.bh,',1058,'bh);this.d',70,'this.d,',1058,'d-',1058,'y);this.bd',70,'this.bd,',1058,'bd);break;}}',1015,'if(this.dx){',1056,6,154,'this.dx);this.w+=this.dx;}if(this.hbuf==""){',128,6,'Box.Null;}if(this.h==_27e){this.h=0;}if(this.d==_27e){this.d=0;}',142,'=new ',6,'Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;',128,'box;},FlushText',4,'(){if(',1000,'==""){return;}',1005,'+=',84,'AddClass(',1003,',',1000,');',1000,'="";',1003,'="";},FlushClassed',4,'(){this.FlushText();if(',1005,1145,1054,'tx;}',1056,84,'AddStyle(',20,',',22,',',1005,');',1005,'="";},Place',4,'(item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',6,'HTML.Em(item.x',')+";";}if(item.y){html+=" top:"+',6,'HTML.Em(-item.y',')+";";}item',152,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',4,'(item){if(item.y){if(','item.html.match','(/^<img[^>]*>(<span style="margin-left: [-0-9.]*em"><\\/span>)?$/i)&&!',1193,'(/top:/)){item',152,'item.html.replace(/style=\\"/,"style=\\"position:relative; top:"+',6,1183,')+";");}else{item.',1177,'; "+"top:"+',6,1183,')+";"+"\\">"+',1187,'>";}}if(item.x){item',152,6,'Browser.','msieSpaceFix+"<span style=\\"margin-left:"+',6,1180,'-',6,1211,'spaceWidth)+";\\">"+',6,1211,'hiddenSpace+"</span>"+item.html;}',1189,';}});',6,'Parse','=function(s,font,size,','_289){var _28a=new ',6,'Parser','(s,font,size,_289);_28a.Parse();',128,'_28a;};',6,1229,1226,'_28e){this.string=s;this.i=0;',14,'=new ',6,'mList(null,font,size,_28e);};',6,'Package(',6,1229,',{cmd:"\\\\",open:"{",',113,':"}",letter:/[a-z]/i,number:/[0-9]/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\t":"Space","\\r":"Space","\\n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1254,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1254,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1252,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1262,'T"],scriptstyle',1262,'S"],scriptscriptstyle',1262,'SS"],rm',':["HandleFont",','0],mit',1270,'1],oldstyle',1270,'1],cal',1270,'2],it',1270,'4],bf',1270,'6],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1282,'arctan',1282,'arg',1282,'cos',1282,'cosh',1282,'cot',1282,'coth',1282,'csc',1282,'deg',1282,'det',':"NamedOp",','dim',1282,'exp',1282,'gcd',1302,'hom',1282,'inf',1302,'ker',1282,'lg',1282,'lim',1302,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1320,'sup"],ln',1282,'log',1282,'max',1302,'min',1302,'Pr',1302,'sec',1282,'sin',1282,'sinh',1282,'sup',1302,'tan',1282,'tanh',1282,298,':["HandleAtom","',298,'"],',319,1346,319,'"],',353,1346,353,'"],over',':"HandleOver",','overwithdelims',1357,'atop',1357,'atopwithdelims',1357,'above',1357,'abovewithdelims',1357,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1369,'","[","]"],choose',1369,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1375,'overrightarrow',1375,'overleftarrow',1375,'overset',':["Extension","underset-overset"],','underset',1383,'llap',':"HandleLap",','rlap',1387,'ulap',1387,'dlap',1387,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1395,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1399,'not="],neq',1399,'not="],notin',1399,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1399,1406,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1399,'mathbin{\\\\rm mod}"],pmod',1399,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1399,'ointop\\\\nolimits"],doteq',1399,'buildrel\\\\textstyle.\\\\over="],ldots',1399,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1399,1422,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1399,1422,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1399,1422,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1399,1406,'kern-4mu}"],relbar',1399,1406,163,'-}"],','Relbar',1399,1411,'="],bowtie',1399,1411,'\\\\',1248,'\\\\joinrel\\\\',1411,'\\\\triangleleft"],models',1399,1411,'|\\\\joinrel="],mapsto',1399,'mapstochar\\\\','rightarrow"],rightleftharpoons',1399,298,'{\\\\',1406,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1250,'}"],hookrightarrow',1399,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1399,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1399,1440,1448,'Rightarrow"],','longrightarrow',1399,'relbar\\\\',1466,'longleftarrow',1399,1469,'relbar"],Longleftarrow',1399,'Leftarrow\\\\joinrel\\\\',1440,'"],longmapsto',1399,1455,'char{cmsy10}{0}\\\\',1466,'longleftrightarrow',1399,'leftarrow\\\\',1466,'Longleftrightarrow',1399,1484,1474,'iff:["Macro","\\\\;\\\\',1495,'\\\\;"],mathrm',':["Macro","{\\\\','rm #1}",1],mathbf',1502,'bf #1}",1],','mathbb',1502,1505,'mathit',1502,'it #1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1512,'1],qquad',1512,'2],thinspace',1512,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1520,'ord",1.','15],bigg',1520,1523,'45],Bigg',1520,1523,'75],bigl',1520,'open",0.85],Bigl',1520,'open",1.','15],biggl',1520,1534,'45],Biggl',1520,1534,'75],bigr',1520,113,'",0.85],Bigr',1520,'close",1.','15],biggr',1520,1546,'45],Biggr',1520,1546,'75],bigm',1520,'rel",0.85],Bigm',1520,'rel",1.15],biggm',1520,'rel",1.45],Biggm',1520,'rel",1.75],mathord',1346,'ord"],mathop',1346,'op"],mathopen',1346,'open"],mathclose',1346,113,'"],mathbin',1346,'bin"],',1411,1346,'rel"],mathpunct',1346,'punct"],mathinner',1346,'inner"],mathchoice:["Extension","mathchoice"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox:["Extension","fbox"],strut:"Strut",mathstrut',1399,'vphantom{'],
  ['(}"],','phantom',':["Phantom",','1,1],vphantom',2,'1,0],hphantom',2,'0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',8,'18]],ddot',8,'127]],tilde',8,'126]],bar',8,'22]],breve',8,'21]],check',8,'20]],hat',8,'94]],vec',':["MathAccent",[0,','1,126]],dot',8,'95]],widetilde',24,'3,101]],widehat',24,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',32,'","&nbsp;","normal"],angle:["',32,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"]],cr:"','HandleRow','","\\\\":"',40,'",begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',44,'1],scriptsize',44,'2],small',44,'3],normalsize',44,'4],large',44,'5],Large',44,'6],LARGE',44,'7],huge',44,'8],Huge',44,'9],dots:["Macro","\\\\ldots"],color:["','Extension","HTML','"],href:["',64,'"],"class":["',64,'"],style:["',64,'"],unicode:["',64,'"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix',':["Array',38,'bmatrix',78,'","[","]","c"],Bmatrix',78,'","\\\\{","\\\\}","c"],vmatrix',78,'","\\\\vert","\\\\vert","c"],Vmatrix',78,'","\\\\Vert","\\\\Vert","c"],cases',78,'","\\\\{",".","ll"],eqnarray',76,'rcl",[5/18,5/18]]},AddSpecial',':function','(obj){','for(var ','id in obj){','jsMath.Parser.prototype','.special[',97,'[id]]=obj[id];}},Error',93,'(s){this.i','=this.','string.length',';if(s','.error){','this.error','=s.error;}','else{if(!','this',106,107,'=s;}}},nextIsSpace',93,'(){','return ','this.string.charAt(this.i',')==" ";},','Process',93,'(arg','){var ','data=','this.mlist.','data;','arg=jsMath.Parse(arg,','data.font',',','data.size',',data.style);if(arg',106,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',134,135,'1',122,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',147,'TeX")){',116,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},GetCommand',93,'(){var ','_295=/^([a-z]+|.) ?/i;var cmd=_295.exec(','this.string.slice(','this.i));if(cmd){','this.i+=','cmd[1].length;',116,'cmd[1];}','this.Error("','Missing',' control sequnece name at end of string or',' argument','");',134,';},','GetArgument',':function(name',',','_298){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=this.',104,'){if(!',172,162,163,165,' for "+','name);}',134,';}if(',117,')==this.','close){if','(!',172,162,'Extra close brace','");}',134,187,117,189,'cmd){','this.i++;',116,'this.cmd+','this.GetCommand','();}if(',117,')!=','this.open){',116,117,'++);}var j','=++this.i;var ','_29a=1;var c="";',173,'(this.i<this.string.length){','c=',117,'++);','if(c==this.cmd){this.i++;}else{if(c','==',208,'_29a++;}','else{if(c==this.',190,'(','_29a==0){',162,194,'");',134,';}if(--',226,116,156,'j,this.i-1);}}}}}',162,'Missing close brace','");',134,';},ProcessArg',170,'){','var arg=this.',169,'(','name);','if(this.error){return',' null;}return this.Process(arg);},','GetDelimiter',170,'){',173,174,'++;}var c=',117,');if',215,201,'if(c==this.cmd){c="\\\\"+',204,'(',246,247,' null;}}','if(','this.delimiter[','c]!=null){',116,266,'c];}}',162,163,' or unrecognized delimiter',184,246,134,';},','GetDimen',170,',nomu',122,'rest;var _2a3=0;if',174,'++;}if(',117,')=="{"){rest',103,169,'(name);}else{rest=',156,'this.i);_2a3=1',';}var ','_2a4=rest.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2a4){',162,163,' dimension or its units',184,246,134,187,'_2a3){',158,'_2a4[0].length;if',174,'++;}}var d=_2a4[1]-0;if(_2a4[4]=="px"){d/=jsMath.em',';}else{if(_2a4[4]=="','pt"){d/=10',306,'ex"){d*=','jsMath.TeX','.x_height',306,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',116,'d;},GetNext',93,'(){',173,174,'++;}',116,117,');},','GetBrackets',170,122,'c',103,'GetNext();if(c','!="["){return "";}var _2a8',212,'_2a9=0;',173,215,'var c=',117,'++);if(c=="{"){','_2a9','++;}else{if(c=="}"){if(','_2a9==0){',162,194,' while looking for',' \']\'");',134,';}_2a9--;}else{',219,'=="]"){if(',340,116,156,'_2a8,this.i-1);}}}}}}',162,'Couldn\'t find',' closing \']\' for',165,' to "+',203,246,134,';},GetUpto',170,',_2ac){',173,174,'++;}var _2ad',103,'i;var _2ae=0;',173,215,'var c=',117,337,'_2ae',339,'_2ae==0){',162,194,343,' "+',203,'_2ac);',134,';}_2ae--;}',223,'cmd){if(',156,'this.i,this.i+','5)=="begin"){_2ae++;',158,'4;}else{if(',156,388,'3)=="end"){if(_2ae>0){_2ae--;',158,'2;}}}if(',376,'if(',156,388,'_2ac.length',')==_2ac){c=',117,'+',401,');if(c.match(/[^a-z]/i)||!_2ac.match(/[a-z]/i)){var arg=',156,'_2ad,this.i-1);',158,401,';',116,'arg;}}}this.i++;}}}}',162,354,' "+',203,'_2ac+" for "+',246,134,';},','ProcessUpto',170,',_2b2){',243,'GetUpto(name,_2b2);',247,248,'GetEnd',93,'(env',122,'body="";var name="";',173,'(name!=env){body+=this.GetUpto("begin{"+env+"}","end");',247,' null;}name',103,169,'(this.cmd','+"end");',247,264,116,'body;},Space',93,'(){},','Prime',93,'(c',122,'base=',124,143,'(base==null||(!base',145,'base.type!="','box"&&',457,'frac")){',452,'this.mlist.Add(jsMath.mItem.','Atom("ord",null));}if(base.','sup){',162,'Prime causes double exponent',': use braces to clarify");return;}','var sup="";',173,'(c=="\'"){sup+="\\\\prime";c',103,329,'=="\'"){this.i++;}}','base.sup',103,119,'(sup);},RaiseLower',170,122,'h','=this.GetDimen(this.cmd+name',',1);',247,292,'box','=this.ProcessArg','(this.cmd+name);if(this.error){return',187,'name=="lower"){h=-h;}',124,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',170,122,'x',481,482,247,292,'box',486,487,187,'name=="moveleft"){x=-x;}',462,'Space(x));',462,'Atom("ord",box));',462,'Space(-x));},Require',170,122,'file',103,169,487,';}file=','jsMath.Extension','.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.Extension(null,[','file]);},Extension',170,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',97,'[data[1]||"macros"][name];}','jsMath.Script.','Start();',518,'.Require(data[0],',528,'.asynchronous',');throw "restart";},Frac',170,122,'num',486,487,292,'den',486,487,';}',462,'Fraction("over",num,den));},Sqrt',170,122,'n',103,324,487,292,'arg',486,487,';}box=jsMath.mItem.Atom("radical",arg);',176,'n!=""){box.root',103,119,'(n);',247,';}}',124,'Add(box);},','Root',170,122,'n',103,422,'(',203,'name,"of");',247,292,'arg',486,487,563,'box.root=n;',124,572,'BuildRel',170,122,'top',103,422,'(',203,'name,"over");',247,292,'bot',486,487,292,'op','=jsMath.mItem.Atom("','op",bot);op.limits=1;op.sup=top;',124,'Add(op);},MakeBig',170,',data){var ','type=data[0];var h=data[1]*jsMath.p_height;var _2d5',103,249,487,';}',462,'Atom(type,','jsMath.Box','.Delimiter(h,_2d5,"T")));},Char',170,122,'font',103,169,487,292,'n',103,169,487,';}if(!',310,'[font]){',310,'[font]=[];',524,'jsMath.Font.URL(font',')]);}else{',462,'Typeset(',620,'.TeX(n-0,font,"T",',124,129,')));}},Matrix',170,',_2da',122,'data=',124,125,243,169,487,292,'_2dd','=new jsMath.Parser(arg+"\\\\\\\\",null,data.size);','_2dd.matrix=name;_2dd.row=[];_2dd.table=[];_2dd.Parse();if(_2dd',106,132,'_2dd);',523,'_2dd','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2dd.table,_2da[2]);if(_2da[0]&&_2da[1]){var left','=jsMath.Box.Delimiter(box.h+box.d,this.delimiter[','_2da[0]],"T");var _2e0',668,'_2da','[1]],"T");box=jsMath.Box.SetList([left,box,','_2e0],','data.style,data.size',');}',462,'Atom((_2da','[0]?"inner":"ord"),box));},','HandleEntry',170,'){','if(!this.','matrix){',132,'name+" can only appear in a matrix or array");return;}','if(',124,'data.openI',530,'var open=',124,'Get(',124,688,');if(open','.left){',162,163,' "+this.cmd+"right','");}else{',162,237,'");}}if(',124,'data.overI',530,124,'Over();}var data=',124,125,124,'Atomize','("T",',129,');var box=',124,'Typeset("T",',129,');this.row[','this.row.length',']=box;this.mlist=new jsMath.mList(null,null,',129,');},',40,170,',last){',682,'matrix){',132,203,685,'this.',679,'(',246,'if(!last||',720,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row;}this.row=[];},Array',170,',_2e8',122,'_2e9=_2e8[2];var _2ea=_2e8[3];if(!_2e9){_2e9',103,169,440,'+"begin{"+name+"}");',247,';}}_2e9=_2e9.replace(/[^clr]/g,"");_2e9=_2e9.split("");var data=',124,125,243,429,'(',246,247,292,'_2ed',659,'_2ed.matrix=name;_2ed.row=[];_2ed.table=[];_2ed.Parse();if(_2ed',106,132,'_2ed);',523,'_2ed',666,'_2ed.table,_2e9,_2ea);if(_2e8[0]&&_2e8[1]){var left',668,'_2e8[0]],"T");var _2f0',668,'_2e8',672,'_2f0],',674,');}',462,'Atom((_2e8',678,'Begin',170,122,'env',103,169,487,187,'env.match(/[^a-z*]/i)){',162,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',682,74,'[env]){',162,'Unknown',791,793,'var cmd',103,74,'[env];if(typeof (cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',170,122,'env',103,169,487,';}',132,203,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',170,',w){',462,'Space(w-0));},Hskip',170,122,'w',103,278,487,';}',462,'Space(w));},HBox',170,122,'text',103,169,487,';}','var box=jsMath.','Box.InternalMath(text,',124,129,');',462,642,'box));},Rule',170,',_2fe',122,'w',481,482,247,292,'h',481,482,247,292,'d',481,482,247,';}h+=d;var html;if(h!=0){h=Math.max(1.05/jsMath.em,h);}if(h==0||w==0){_2fe="blank";}if(w==0){','html="<img src=\\""+jsMath.blank+"\\" style','=\\""+"','border:0px none','; width:1px; margin-right:-1px; "+"height',':"+jsMath.HTML.Em','(h*','jsMath.Browser.','imgScale)+"\\" />";}else{','if(_2fe=="blank"){',863,'=\\"',865,'; "+"height',867,'(h*',869,'imgScale)+"; "+"','width',867,'(w*',869,870,863,'=\\""+"position: relative; top:1px; height:1px; ',865,'; "+"border-top',867,'(h*',869,'imgScale)+" solid; "+"width',867,'(w*',869,'imgScale)+"\\" />";}}if(d){html','="<span style=\\"','vertical-align',867,'(-d)+"\\">"+html','+"</span>";}',462,642,'new ',620,'("html",html,w,h-d,d)));},Strut',93,154,'size=',124,129,';',837,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',462,642,'box));},Phantom',170,612,'arg',486,487,';}',124,491,1,'",{',1,':arg,v:data[0],h:data[1]}));},Smash',170,612,'arg',486,487,';}',124,491,'smash",{smash:arg}));},MathAccent',170,',_30c',122,'c',486,487,292,'atom',607,'accent",c);atom.accent=_30c[0];',124,'Add(atom);},NamedOp',170,612,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',837,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',124,572,'Limits',170,612,141,124,143,'(!atom||atom.type!="op"){',132,203,'name+" is allowed only on operators");',523,'atom.limits=data[0];},Macro',170,612,'text=data[0];if(data[1]){var args=[];',95,'i=0;i<data[1];i++){args[args',739,169,487,';}}text="";var c;var i','=0;while(i<','data[0].length){','c=data[0].charAt(i++);if(c','=="\\\\"){text+=c+data[0].charAt(i++);}else{if(c=="#"){',981,'=="#"){text+=c;}',109,'c.match(/[1-9]/)||c>args.length){',162,'Illegal macro',165,' reference");',523,'text+=args[c-1];}}else{text+=c;}}}}this.string=text+',156,'this.i);this.i=0;},Replace',170,527,462,'TextAtom(data[0],data[1],data[2],data[3]));},HandleLap',170,122,'box',486,'();',247,';}box=',124,491,'lap",{nuc:box,lap:name}));},HandleAtom',170,612,'arg',486,487,';}',462,'Atom(data,arg));},HandleMathCode',170,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',93,'(type,font,code){if(type==7&&',124,127,530,'font=',124,127,';}font=',310,'.fam[font];',462,'TeXAtom(',310,'.atom[type],code,font));},','HandleVariable',93,'(c',1019,'7,1',',c.charCodeAt(0));},','HandleNumber',93,'(c',1019,'7,0',1041,'HandleOther',93,'(c){',462,'TextAtom("ord",c,"normal"));},HandleComment',93,154,'c;',173,215,'c=',117,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',170,',_32f){',124,'data.style=_32f[0];',124,491,'style",{style:_32f[0]}));},HandleSize',170,',size){',124,129,'=size[0];',124,491,'size",{size:size[0]}));},HandleFont',170,',font){',124,127,'=font[0];},HandleCS',93,154,'cmd=',204,'();',247,187,'this.macros[cmd]){var _335',103,'macros[cmd];if(typeof (_335',805,'_335=[_335];}this[_335[0]](cmd,_335.slice(1));return',187,'this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1094,']);return',187,266,203,'cmd',1095,'cmd,',266,203,'cmd].slice(0,3));',523,162,'Unknown control sequence \'"+',203,'cmd+"\'");},HandleOpen',93,'(){',124,'Open();},HandleClose',93,'(){if(',124,688,'==null){',162,194,'");',523,'var open=',124,'Get(',124,688,');if(!open||','open.left',1121,124,'Close();}else{',162,194,' or missing',699,'");return;}},HandleLeft',170,122,'left',103,249,487,';}',124,'Open(left);},HandleRight',170,122,'_33a',103,249,487,292,'open=',124,'Get(',124,688,695,'&&',1132,530,124,'Close(_33a);}else{',162,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',170,527,'if(',124,705,530,162,'Ambiguous use of "+',203,246,523,124,705,'=',124,'Length();',124,'data.overF={name:name};if(data.length>0){',124,'data.overF.','left=',266,'data[0]];',124,1189,'right=',266,'data[1]];}else{if(name.match(/withdelims$/)){',124,1189,'left',103,249,487,';}',124,1189,'right',103,249,487,';}}else{',124,1189,'left=null;',124,1189,1195,'null;}}if(name.match(/^above/)){',124,1189,'thickness',103,278,440,'.name',482,247,';}}else{',124,1189,'thickness=null;}},HandleSuperscript',93,154,452,124,143,'(base==null||(!base',145,457,'box"&&',457,'frac")){',452,462,463,'sup){',162,'Double exponent',467,474,486,'("superscript");',247,';}},HandleSubscript',93,154,452,124,143,'(base==null||(!base',145,457,'box"&&',457,'frac")){',452,462,463,'sub){',162,'Double subscripts',467,'base.sub',486,'("subscript");',247,';}},Parse',93,154,'c;',173,215,'c=',117,'++);',176,'mathchar[c',1095,'c,this.',1287,']);}else{',176,'special[c]){this[this',98,'c]](c);}else{',176,'letter','.test(c)){this.',1036,'(c);}else{',176,'number',1298,1042,1300,'this.',1048,'(c);}}}}}if(',124,688,530,'var open=',124,'Get(',124,688,695,'.left){',162,163,699,700,162,237,'");}}if(',124,705,530,124,'Over();}},',712,93,154,'data=',124,'init;if(!this',106,124,712,'(',674,');}},Typeset',93,154,'data=',124,'init;var box',103,'typeset=',124,642,674,');',247,' "<span class=\\"error\\">"+',107,901,'if(box.format=="null"){return "";}box.Styled().Remeasured();var _345=0;var _346=0;if(box.bh>box.h&&box.bh>jsMath.h','+0.001){_345=1;}if(box.','bd>box.d&&box.bd>jsMath.d',1359,'h>jsMath.h||box.d>jsMath.d){_346=1',292,'html=box.html;if(_345){if(',869,'allowAbsolute',122,'y=0;if(box.bh>jsMath.h+0.001){y=jsMath.h-box.bh;}html=jsMath.HTML.Absolute(html,box.w,jsMath.h,0,y,jsMath.h);}',109,869,'valignBug',122,'dy=jsMath.HTML.Em(Math.max(0,box.bd-jsMath.hd)/3);html',897,'line-height: 0px;"+" position:relative; top:"+dy+"; vertical-align:"+dy+"\\">"+html+"</span>";}}_346=1',187,'_346){html+="<img src=\\""+jsMath.blank+"\\" class=\\"HD\\" style=\\""+"height',867,'((box.h+box.d+0.1)*',869,879,'vertical-align',867,'(-box.d-0.05)+";\\" />";}return "<nobr><span class=\\"scale\\">"+html+"</span></nobr>";}});',97,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',170,122,'_34b=',97,'.macros;','_34b[name]=["Macro"];',95,'i=1;i<arguments.length;i++){_34b[name][_34b[name].length]=arguments[i];}}});',518,'={safeRequire:1,Macro',170,',file',122,'_34f=',97,1393,'_34f[name',']=["Extension",','file];},LaTeX',93,'(env,file',122,'_352=',97,'.',74,';_352[env',1406,'file,"',74,'"];},Font',170,1077,'if(font',1121,'font=name+"10";}var _355=',97,1393,'_355[name',1406,639,')];},Require',93,'(file,show){',176,'safeRequire&&file.match(/\\.\\.\\/|[^-a-z0-9.\\/_+=]/i)){',520,521,']=1;',523,520,'Script(this.URL(file),show);},URL',93,'(file){file=file.replace(/^\\s+|\\s+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',116,'file;}};',1387,119,93,94,520,'Body();',534,'Push(',528,',"','Asynchronous','",obj);},ProcessBeforeShowing',93,94,520,1450,'var _35b=(','jsMath.Controls.cookie.','asynch?"',1455,'":"','Synchronous','");',534,1452,528,',_35b,obj);}});',528,'={element:[],cancel:0,TextMode',93,'(s',122,'_35d','=jsMath.Parse(s,null,null,"','T");_35d','.Atomize();var html=','_35d.Typeset();',116,'html;},','DisplayMode',93,'(s',122,'_360',1478,'D");_360',1480,'_360.Typeset();',116,1483,'GetElementText',93,'(_362',122,'text="";',95,'i=0;i<_362.childNodes.length;i++){if(','_362.childNodes[i].nodeValue',1121,'text+=" ";}else{text+=',1502,';}}if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1507,'gt;/g,">");',1507,'quot;/g,"\\"");',1507,'amp;/g,"&");}',116,'text;},ResetHidden',93,'(_365){_365.innerHTML',897,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',869,'operaHiddenFix;_365.className="";','jsMath.hidden','=_365.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}jsMath.','ReInit();},ConvertText',93,'(_366','){var text=this.GetElementText(','_366',');this.ResetHidden(','_366);_366.alt=text;text',103,'TextMode(text);_366','.className="typeset";','_366','.innerHTML=text;},','ConvertDisplay',93,'(_368',1530,'_368',1532,'_368);_368.alt=text;text',103,1484,'(text);_368',1536,'_368',1538,'ProcessElement',93,'(_36a){this.restart=0;try','{if(_36a.tagName.toLowerCase()=="','div"){this.',1539,'(_36a);}else',1555,'span"){this.ConvertText(_36a);if(','_36a.parentNode.','className=="jsMath.recenter"){',1561,'style.marginLeft=Math.floor((',1561,'offsetWidth-_36a.offsetWidth)/2)+"px";}}}_36a.onclick=jsMath.Click.CheckClick;_36a.ondblclick=jsMath.Click.CheckDblClick;}catch(err){if(_36a.alt){_36a.innerHTML=_36a.alt;}',1525,';}},','ProcessElements',93,'(k){',534,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',176,'cancel){','jsMath.Message.','Set("',119,' Math: Canceled");',1581,'Clear();}',534,1573,'0;',534,119,'();}else{','this.ProcessElement(this.element[','k]);',176,'restart){',534,1452,'this,"',1569,'",k);',534,1573,'0;setTimeout("',534,119,'()",',869,'delay);}else{k++;var p=Math.floor(100*k/',1575,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',528,'.',1569,'("+k+")",',869,'delay);}}},',1455,93,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',539,'=1;',534,1573,'1;',1612,': 0%",1);setTimeout("',528,'.',1569,'(0)",',869,'delay);},',1466,93,'(obj,i){if(i==null',1623,'i=0;}this',539,979,1575,'){',1593,'i]);',176,'restart){','jsMath.Synchronize','("',528,'.',1466,'(null,"+i+")");',534,119,'();',523,'i++;}this.',1577,'(1);},GetMathElements',93,'(obj',122,'_371=[];if(!obj){obj=','jsMath.document',187,'typeof (obj',805,'obj=',1668,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',134,292,'math=',1675,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_371[_371.length]=math[k];}}}','math=',1675,'("span',1682,'if(',869,'renameOK','&&obj','.getElementsByName','){_371=obj',1691,'("_jsMath_',700,'if(',1523,'.sourceIndex','){_371.sort(function(a,b){',116,'a',1698,'-b',1698,';});}}',116,'_371;},',1577,93,'(_377){if(',869,1689,122,'_378=',1668,1691,1694,'");',95,'i=_378.length-1;i>=0;i--){_378[i].removeAttribute("name");}}',1525,';this.element=[];if(!_377){',1612,': Done");',1581,'Clear();}',1581,'UnBlank();if(',869,'safariImgBug&&(',1462,'font=="symbol"||',1462,'font=="image")){setTimeout("','jsMath.window.resizeBy','(-1,0); ',1735,'(1,0);",2000);}},Cancel',93,'(){',528,'.cancel=1;if(',534,'cancelTimer){',534,'cancelLoad();}}};',1387,'ConvertTeX',93,'(_37a){',534,'Push(jsMath.tex2math,"',1748,'",_37a);},','ConvertTeX2',93,'(_37b){',534,1752,1755,'",_37b);},','ConvertLaTeX',93,'(_37c){',534,1752,1762,'",_37c);},','ConvertCustom',93,'(_37d){',534,1752,1769,'",_37d);},','CustomSearch',93,'(om,cm,od,cd','){',534,1452,'null,function(){jsMath.tex2math.',1776,1778,');});},tex2math:{',1748,93,447,1755,93,447,1762,93,447,1769,93,447,1776,93,'(){}}});',1651,'=',534,'Synchronize;if(','window.parent','!=window){',1805,'.jsMath=jsMath;',1668,'=',1805,'.document;jsMath.window=',1805,1526,'Loaded();jsMath.Controls.GetCookie();',520,'Source();',534,'Init();',520,'Fonts();if(',1668,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
